commit brp-extract-appdata for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package brp-extract-appdata for 
openSUSE:Factory checked in at 2015-04-12 00:09:30

Comparing /work/SRC/openSUSE:Factory/brp-extract-appdata (Old)
 and  /work/SRC/openSUSE:Factory/.brp-extract-appdata.new (New)


Package is brp-extract-appdata

Changes:

--- /work/SRC/openSUSE:Factory/brp-extract-appdata/brp-extract-appdata.changes  
2015-02-08 11:41:56.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.brp-extract-appdata.new/brp-extract-appdata.changes 
2015-04-12 00:09:31.0 +0200
@@ -1,0 +2,10 @@
+Wed Apr  8 13:59:13 UTC 2015 - dims...@opensuse.org
+
+- Bump appstream metadata to version 0.8, in order to attempt to
+  get more often valid metadata. The general structure for
+  AppStream version 0.6+ is wrapped in component/components
+  (application was up to version 0.5). As we wrap simple 'appdata'
+  we can actually simply replace application=component (stuff that
+  was introduced later would already have to be component anyway).
+
+---



Other differences:
--
++ brp-extract-appdata.spec ++
--- /var/tmp/diff_new_pack.EmStju/_old  2015-04-12 00:09:32.0 +0200
+++ /var/tmp/diff_new_pack.EmStju/_new  2015-04-12 00:09:32.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package brp-extract-appdata
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed

++ create-appdata-xml.pl ++
--- /var/tmp/diff_new_pack.EmStju/_old  2015-04-12 00:09:32.0 +0200
+++ /var/tmp/diff_new_pack.EmStju/_new  2015-04-12 00:09:32.0 +0200
@@ -43,12 +43,8 @@
 # split into application chunks
 my @appdatas = split(/(?:application|component)/, $content);
 for (@appdatas) {
-  if (/\/component/) {
-$_ =   component$_;
-  } else {
-$_ =   application$_;
-  }
-  s/ *$//s;
+  $_ =   component$_;
+  s/\/application/\/component/;
 }
 
 my %appmatches;
@@ -83,9 +79,9 @@
   my $output = $build_root$TOPDIR/OTHER/$rpmname-appdata.xml;
   open(APPDATA, '', $output) || die can't write to $output;
   print APPDATA ?xml version='1.0'?\n;
-  my $type = 'application';
+  my $type = 'component';
   $type = $1 if ($appresults{$rpmname}-[0] || '') =~ 
/(application|component)/;
-  print APPDATA ${type}s version='0.1'\n;
+  print APPDATA ${type}s version='0.8' origin='obs-appdata'\n;
   print APPDATA $_ for @{$appresults{$rpmname}};
   print APPDATA /${type}s\n;
   close APPDATA;




commit libvirt-python for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package libvirt-python for openSUSE:Factory 
checked in at 2015-04-12 00:10:02

Comparing /work/SRC/openSUSE:Factory/libvirt-python (Old)
 and  /work/SRC/openSUSE:Factory/.libvirt-python.new (New)


Package is libvirt-python

Changes:

--- /work/SRC/openSUSE:Factory/libvirt-python/libvirt-python.changes
2015-03-11 09:58:35.0 +0100
+++ /work/SRC/openSUSE:Factory/.libvirt-python.new/libvirt-python.changes   
2015-04-12 00:10:05.0 +0200
@@ -1,0 +2,6 @@
+Thu Apr  2 14:10:37 MDT 2015 - jfeh...@suse.com
+
+- Update to 1.2.14
+  - Add all new APIs and constants in libvirt 1.2.14
+
+---

Old:

  libvirt-python-1.2.13.tar.gz
  libvirt-python-1.2.13.tar.gz.asc

New:

  libvirt-python-1.2.14.tar.gz
  libvirt-python-1.2.14.tar.gz.asc



Other differences:
--
++ libvirt-python.spec ++
--- /var/tmp/diff_new_pack.xhAAjd/_old  2015-04-12 00:10:05.0 +0200
+++ /var/tmp/diff_new_pack.xhAAjd/_new  2015-04-12 00:10:05.0 +0200
@@ -18,7 +18,7 @@
 
 Name:   libvirt-python
 Url:http://libvirt.org/
-Version:1.2.13
+Version:1.2.14
 Release:0
 Summary:Library providing a simple virtualization API
 License:LGPL-2.1+

++ libvirt-python-1.2.13.tar.gz - libvirt-python-1.2.14.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libvirt-python-1.2.13/AUTHORS 
new/libvirt-python-1.2.14/AUTHORS
--- old/libvirt-python-1.2.13/AUTHORS   2015-03-02 04:45:23.0 +0100
+++ new/libvirt-python-1.2.14/AUTHORS   2015-04-02 09:56:33.0 +0200
@@ -435,6 +435,11 @@
Jiri Denemark jdene...@redhat.com
Jiri Denemark jiri.denem...@gmail.com
John Ferlan jfer...@redhat.com
+   John Ferlan jfer...@redhat.com
+   John Ferlan jfer...@redhat.com
+   Ján Tomko jto...@redhat.com
+   Ján Tomko jto...@redhat.com
+   Ján Tomko jto...@redhat.com
Ján Tomko jto...@redhat.com
KAMEZAWA Hiroyuki kamezawa.hir...@jp.fujitsu.com
Lai Jiangshan la...@cn.fujitsu.com
@@ -531,6 +536,8 @@
Pavel Hrdina phrd...@redhat.com
Pavel Hrdina phrd...@redhat.com
Pavel Hrdina phrd...@redhat.com
+   Pavel Hrdina phrd...@redhat.com
+   Pavel Hrdina phrd...@redhat.com
Pavel Hrdina phrd...@redhat.com
Pavel Hrdina phrd...@redhat.com
Pavel Hrdina phrd...@redhat.com
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libvirt-python-1.2.13/ChangeLog 
new/libvirt-python-1.2.14/ChangeLog
--- old/libvirt-python-1.2.13/ChangeLog 2015-03-02 04:45:23.0 +0100
+++ new/libvirt-python-1.2.14/ChangeLog 2015-04-02 09:56:33.0 +0200
@@ -1,3 +1,97 @@
+2015-03-28 Pavel Hrdina  phrd...@redhat.com
+
+Expose virDomainInterfacesAddresses to python binding
+examples/Makefile.am:
+* Add new file domipaddrs.py
+
+examples/README:
+* Add documentation for the python example
+
+libvirt-override-api.xml:
+* Add new symbol for virDomainInterfacesAddresses
+
+libvirt-override.c:
+* Hand written python api
+
+Example:
+$ python examples/domipaddrs.py qemu:///system f18
+Interface  MAC address  Protocol Address
+vnet0  52:54:00:20:70:3dipv4 192.168.105.240/16
+
+
+
+2015-03-26 Ján Tomko  jto...@redhat.com
+
+Rename virDomainGetIOThreadsInfo to virDomainGetIOThreadInfo
+
+
+2015-03-26 Ján Tomko  jto...@redhat.com
+
+Rename virDomainIOThreadsInfoFree to virDomainIOThreadInfoFree
+
+
+2015-03-19 Pavel Hrdina  phrd...@redhat.com
+
+Post-release version bump to 1.2.14
+
+
+2015-03-11 John Ferlan  jfer...@redhat.com
+
+Support virDomainPinIOThread
+Support the libvirt_virDomainSetIOThreads method using code that mimics
+the existing libvirt_virDomainPinVcpuFlags method
+
+The following is a sample session assuming guest 'iothr-gst' has IOThreads
+configured (it's currently running, too)
+
+ import libvirt
+ con=libvirt.open(qemu:///system)
+ dom=con.lookupByName('iothr-gst')
+ dom.ioThreadsInfo()
+[(1, [False, False, True, False]), (2, [False, False, False, True]), (3, 
[True, True, True, True])]
+ cpumap=(True,True,True,False)
+ dom.pinIOThread(3,cpumap)
+0
+ print dom.ioThreadsInfo()
+[(1, [False, False, True, False]), (2, [False, False, False, True]), (3, 
[True, True, True, False])]
+
+
+merge
+
+
+2015-03-11 John Ferlan  jfer...@redhat.com
+
+Support virDomainGetIOThreadsInfo and virDomainIOThreadsInfoFree
+Add support for the 

commit elementary for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package elementary for openSUSE:Factory 
checked in at 2015-04-12 00:09:58

Comparing /work/SRC/openSUSE:Factory/elementary (Old)
 and  /work/SRC/openSUSE:Factory/.elementary.new (New)


Package is elementary

Changes:

--- /work/SRC/openSUSE:Factory/elementary/elementary.changes2015-03-23 
12:16:57.0 +0100
+++ /work/SRC/openSUSE:Factory/.elementary.new/elementary.changes   
2015-04-12 00:10:00.0 +0200
@@ -1,0 +2,26 @@
+Tue Apr  7 02:18:06 UTC 2015 - si...@simotek.net
+
+- Bump to 1.13.2 bugfix
+   * layout: here default content alias can be acceptable.
+   * popup: correct popup position.
+   * popup: passing right parameter to elm_layout_sizing_eval
+   * genlist: select the focused item on enter key input
+   * gengrid: select the focused item on enter key input
+   * popup: removed button style setting code in theme_apply
+   * layout: apply widget's states when elm_layout_file_set is called
+   * gengrid/genlist/list: focus first item if
+first_item_focus_on_first_focus_in is on whether focus highlight is
+enabled or not
+   * config: fix config name
+   * Genlist/Gengrid : Modified to handle the focus highlight on
+unrealized items
+   * genlist: Send param item type instead of eo item type.
+   * widget: fix the abi break.
+   * GLView: Return false if the surface could not be created
+   * conform: Use eo_isa() to check object types.
+   * elm_panel: Fix incorrect scroller content region calculation of panel.
+   * elm_win fullscreen setting on FAKE wins should just toggle the flag
+   * elm_widget: fix wrong parmeter.
+   * genlist: Fix elm_genlist_item_index_get.
+
+---

Old:

  elementary-1.13.1.tar.xz

New:

  elementary-1.13.2.tar.xz



Other differences:
--
++ elementary.spec ++
--- /var/tmp/diff_new_pack.yNGFIi/_old  2015-04-12 00:10:01.0 +0200
+++ /var/tmp/diff_new_pack.yNGFIi/_new  2015-04-12 00:10:01.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package elementary
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,8 +18,10 @@
 
 %define build_doc 0%{?mandriva_version} == 20101 || 0%{?centos_version} == 6
 
+%define efl_version1.13.0
+
 Name:   elementary
-Version:1.13.1
+Version:1.13.2
 Release:0
 Summary:The widget set for enlightenment
 License:LGPL-2.1
@@ -38,30 +40,31 @@
 BuildRequires:  libtool
 BuildRequires:  lua-devel
 BuildRequires:  pkgconfig
-BuildRequires:  pkgconfig(ecore)
-BuildRequires:  pkgconfig(ecore-con)
-BuildRequires:  pkgconfig(ecore-evas)
-BuildRequires:  pkgconfig(ecore-file)
-BuildRequires:  pkgconfig(ecore-imf)
-BuildRequires:  pkgconfig(ecore-input)
-BuildRequires:  pkgconfig(ecore-x)
-BuildRequires:  pkgconfig(edje)
-BuildRequires:  pkgconfig(eet)
-BuildRequires:  pkgconfig(efreet)
-BuildRequires:  pkgconfig(efreet-mime)
-BuildRequires:  pkgconfig(efreet-trash)
-BuildRequires:  pkgconfig(eina)
-BuildRequires:  pkgconfig(eio)
-BuildRequires:  pkgconfig(eldbus)
-BuildRequires:  pkgconfig(elocation)
-BuildRequires:  pkgconfig(emotion)
-BuildRequires:  pkgconfig(eo)
-BuildRequires:  pkgconfig(ethumb_client)
-BuildRequires:  pkgconfig(evas)
+BuildRequires:  pkgconfig(ecore) = %efl_version
+BuildRequires:  pkgconfig(ecore-con) = %efl_version
+BuildRequires:  pkgconfig(ecore-evas) = %efl_version
+BuildRequires:  pkgconfig(ecore-file) = %efl_version
+BuildRequires:  pkgconfig(ecore-imf) = %efl_version
+BuildRequires:  pkgconfig(ecore-input) = %efl_version
+BuildRequires:  pkgconfig(ecore-x) = %efl_version
+BuildRequires:  pkgconfig(edje) = %efl_version
+BuildRequires:  pkgconfig(eet) = %efl_version
+BuildRequires:  pkgconfig(efreet) = %efl_version
+BuildRequires:  pkgconfig(efreet-mime) = %efl_version
+BuildRequires:  pkgconfig(efreet-trash) = %efl_version
+BuildRequires:  pkgconfig(eina) = %efl_version
+BuildRequires:  pkgconfig(eio) = %efl_version
+BuildRequires:  pkgconfig(eldbus) = %efl_version
+BuildRequires:  pkgconfig(elocation) = %efl_version
+BuildRequires:  pkgconfig(emotion) = %efl_version
+BuildRequires:  pkgconfig(eo) = %efl_version
+BuildRequires:  pkgconfig(ethumb_client) = %efl_version
+BuildRequires:  pkgconfig(evas) = %efl_version
 #BuildRequires:  xorg-x11-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %if 0%{?suse_version}
 BuildRequires:  update-desktop-files
+%requires_eq efl
 %endif
 # we need a defult.edj, TBD provide this with defult 

commit dia for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package dia for openSUSE:Factory checked in 
at 2015-04-12 00:09:15

Comparing /work/SRC/openSUSE:Factory/dia (Old)
 and  /work/SRC/openSUSE:Factory/.dia.new (New)


Package is dia

Changes:

--- /work/SRC/openSUSE:Factory/dia/dia.changes  2014-10-22 16:23:34.0 
+0200
+++ /work/SRC/openSUSE:Factory/.dia.new/dia.changes 2015-04-12 
00:09:16.0 +0200
@@ -1,0 +2,6 @@
+Thu Apr  9 11:36:48 UTC 2015 - dims...@opensuse.org
+
+- Add dia-intltool-0.51.patch: Fix installation of translations
+  using intltool 0.51.
+
+---

New:

  dia-intltool-0.51.patch



Other differences:
--
++ dia.spec ++
--- /var/tmp/diff_new_pack.25AHEd/_old  2015-04-12 00:09:17.0 +0200
+++ /var/tmp/diff_new_pack.25AHEd/_new  2015-04-12 00:09:17.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package dia
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,6 +28,8 @@
 Source2:font-test-czech.dia
 Source3:font-test-german-euro.dia
 Source4:dia.appdata.xml
+# PATCH-FIX-UPSTREAM dia-intltool-0.51.patch bgo#737255 dims...@opensuse.org 
-- Fix installation of locales with intltool 0.51
+Patch0: dia-intltool-0.51.patch
 # PATCH-FIX-OPENSUSE dia-0.92.2-no-strict-aliasing.patch
 Patch3: dia-0.92.2-no-strict-aliasing.patch
 # PATCH-FIX-OPENSUSE dia-remove-datetime.patch vu...@novell.com -- Do not put 
date/time in the compiled binary (needed for build-compare)
@@ -85,6 +87,7 @@
 %prep
 %setup -q
 translation-update-upstream
+%patch0 -p1
 %patch3
 %patch17 -p1
 %patch20 -p1

++ dia-intltool-0.51.patch ++
From 8ad49dc88f0cbd6410798707025091b5a964cba6 Mon Sep 17 00:00:00 2001
From: Hans Breuer h...@breuer.org
Date: Sat, 27 Sep 2014 22:03:03 +0200
Subject: Bug 737255 - don't mess with localedir

According to  Pacho Ramos https://bugzilla.gnome.org/show_bug.cgi?id=737255

diff --git a/configure.in b/configure.in
index 4c0bbea..b14c31b 100644
--- a/configure.in
+++ b/configure.in
@@ -381,9 +381,6 @@ dnl INTLOBJS doesn't seem to always get subst'ed, but I 
believe it's
 dnl idempotent
 AC_SUBST(INTLOBJS)
 
-localedir='${prefix}/${DATADIRNAME}/locale'
-AC_SUBST(localedir)
-
 dnl
 dnl Locate the gnome-xml library
 dnl
-- 
cgit v0.10.2









commit apache2 for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package apache2 for openSUSE:Factory checked 
in at 2015-04-12 00:09:47

Comparing /work/SRC/openSUSE:Factory/apache2 (Old)
 and  /work/SRC/openSUSE:Factory/.apache2.new (New)


Package is apache2

Changes:

--- /work/SRC/openSUSE:Factory/apache2/apache2.changes  2015-03-12 
16:38:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.apache2.new/apache2.changes 2015-04-12 
00:09:48.0 +0200
@@ -1,0 +2,19 @@
+Thu Apr  9 15:53:27 UTC 2015 - kstreit...@suse.com
+
+- remove 'exit 0' from the %post section in the specfile that was
+  placed here incorrectly and caused that the rest of the %post
+  section couldn't be executed. 
+
+---
+Thu Apr  9 13:12:46 UTC 2015 - pgaj...@suse.com
+
+- /etc/init.d/apache2 reload - systemctl reload apache2.service
+  in apache2.logrotate [bnc#926523]
+
+---
+Mon Mar 30 08:42:07 UTC 2015 - pgaj...@suse.com
+
+- authz_default - authz_core in sysconfig.apache2/APACHE_MODULES
+  [bnc#922236]
+
+---



Other differences:
--
++ apache2.spec ++
--- /var/tmp/diff_new_pack.3FQpNC/_old  2015-04-12 00:09:50.0 +0200
+++ /var/tmp/diff_new_pack.3FQpNC/_new  2015-04-12 00:09:50.0 +0200
@@ -1295,7 +1295,6 @@
chown --reference=./%{sysconfdir}/httpd.conf $tmpfile
cmp -s $tmpfile ./%{sysconfdir}/httpd.conf || cp -p $tmpfile 
./%{sysconfdir}/httpd.conf
 fi
-exit 0
 
 rm -rf $tmpdir
 %{_datadir}/%{name}/apache-20-22-upgrade


++ apache2.logrotate ++
--- /var/tmp/diff_new_pack.3FQpNC/_old  2015-04-12 00:09:50.0 +0200
+++ /var/tmp/diff_new_pack.3FQpNC/_new  2015-04-12 00:09:50.0 +0200
@@ -8,7 +8,7 @@
 missingok
 create 644 root root
 postrotate
- /etc/init.d/apache2 reload
+systemctl reload apache2.service
 endscript
 }
 
@@ -22,7 +22,7 @@
 missingok
 create 644 root root
 postrotate
- /etc/init.d/apache2 reload
+systemctl reload apache2.service
 endscript
 }
 
@@ -36,7 +36,7 @@
 missingok
 create 644 root root
 postrotate
- /etc/init.d/apache2 reload
+systemctl reload apache2.service
 endscript
 }
 
@@ -50,7 +50,7 @@
 missingok
 create 644 root root
 postrotate
- /etc/init.d/apache2 reload
+systemctl reload apache2.service
 endscript
 }
 
@@ -64,6 +64,6 @@
 missingok
 create 644 root root
 postrotate
- /etc/init.d/apache2 reload
+systemctl reload apache2.service
 endscript
 }



++ sysconfig.apache2 ++
--- /var/tmp/diff_new_pack.3FQpNC/_old  2015-04-12 00:09:50.0 +0200
+++ /var/tmp/diff_new_pack.3FQpNC/_new  2015-04-12 00:09:50.0 +0200
@@ -79,7 +79,7 @@
 # apache's default installation
 # APACHE_MODULES=authz_host actions alias asis auth autoindex cgi dir imap 
include log_config mime negotiation setenvif status userdir
 # your settings
-APACHE_MODULES=actions alias auth_basic authn_file authz_host authz_groupfile 
authz_default authz_user autoindex cgi dir env expires include log_config mime 
negotiation setenvif ssl socache_shmcb userdir php5 reqtimeout
+APACHE_MODULES=actions alias auth_basic authn_file authz_host authz_groupfile 
authz_core authz_user autoindex cgi dir env expires include log_config mime 
negotiation setenvif ssl socache_shmcb userdir php5 reqtimeout
 
 
 ## Type:   string




commit open-lldp for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package open-lldp for openSUSE:Factory 
checked in at 2015-04-12 00:08:33

Comparing /work/SRC/openSUSE:Factory/open-lldp (Old)
 and  /work/SRC/openSUSE:Factory/.open-lldp.new (New)


Package is open-lldp

Changes:

--- /work/SRC/openSUSE:Factory/open-lldp/open-lldp.changes  2014-06-19 
13:20:08.0 +0200
+++ /work/SRC/openSUSE:Factory/.open-lldp.new/open-lldp.changes 2015-04-12 
00:08:35.0 +0200
@@ -1,0 +2,7 @@
+Mon Mar 23 23:23:27 UTC 2015 - crrodrig...@opensuse.org
+
+- Fix build with gcc5 (open-lldp-gcc5.patch)
+* do not use -Werror
+* Use -fgnu89-inline as the code relies on the old semantics
+
+---

New:

  open-lldp-gcc5.patch



Other differences:
--
++ open-lldp.spec ++
--- /var/tmp/diff_new_pack.rh8c0m/_old  2015-04-12 00:08:36.0 +0200
+++ /var/tmp/diff_new_pack.rh8c0m/_new  2015-04-12 00:08:36.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package open-lldp
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -35,6 +35,7 @@
 Patch0: %{name}-git-update.patch.bz2
 Patch1: 0001-lldpad-print-verbose-error-messages.patch
 Patch2: 0002-Move-to-libnl3.patch
+Patch3: open-lldp-gcc5.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Provides:   dcbd = %{version}
 Obsoletes:  dcbd  %{version}
@@ -75,6 +76,7 @@
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
+%patch3 -p1
 
 %build
 autoreconf -vi

++ open-lldp-gcc5.patch ++
--- open-lldp-0.9.46.orig/Makefile.am
+++ open-lldp-0.9.46/Makefile.am
@@ -16,7 +16,7 @@ ACLOCAL_AMFLAGS = -I m4
 parse_cli.o: CFLAGS+=-U_FORTIFY_SOURCE -Wno-error
 
 ## system requires a shared libconfig
-AM_CFLAGS = -Wall -Werror -Wextra -Wformat=2 $(LIBCONFIG_CFLAGS) 
$(LIBNL_CFLAGS)
+AM_CFLAGS = -Wall -fgnu89-inline -Wextra -Wformat=2 $(LIBCONFIG_CFLAGS) 
$(LIBNL_CFLAGS)
 AM_LDFLAGS = $(LIBCONFIG_LIBS) $(LIBNL_LIBS)
 
 ## header files to be installed, for programs using the client interface to 
lldpad 



commit php5 for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package php5 for openSUSE:Factory checked in 
at 2015-04-12 00:07:59

Comparing /work/SRC/openSUSE:Factory/php5 (Old)
 and  /work/SRC/openSUSE:Factory/.php5.new (New)


Package is php5

Changes:

--- /work/SRC/openSUSE:Factory/php5/php5.changes2015-03-25 
21:04:22.0 +0100
+++ /work/SRC/openSUSE:Factory/.php5.new/php5.changes   2015-04-12 
00:08:00.0 +0200
@@ -1,0 +2,12 @@
+Wed Apr  8 06:15:10 UTC 2015 - pgaj...@suse.com
+
+- systzdata patch updated to r10
+  - php5-systzdata-v7.patch
+  + php5-systzdata-r10.patch
+
+---
+Thu Apr  2 12:58:40 UTC 2015 - pgaj...@suse.com
+
+- build against system gd and libzip only for 13.2 and above
+
+---

Old:

  php5-systzdata-v7.patch

New:

  php5-systzdata-r10.patch



Other differences:
--
++ php5.spec ++
--- /var/tmp/diff_new_pack.BPccyR/_old  2015-04-12 00:08:02.0 +0200
+++ /var/tmp/diff_new_pack.BPccyR/_new  2015-04-12 00:08:02.0 +0200
@@ -61,7 +61,9 @@
 BuildRequires:  libtiff-devel
 BuildRequires:  libtool
 BuildRequires:  libxslt-devel
+%if 0%{suse_version} = 1320
 BuildRequires:  libzip-devel
+%endif
 BuildRequires:  ncurses-devel
 BuildRequires:  net-snmp-devel
 BuildRequires:  openldap2-devel
@@ -164,7 +166,7 @@
 Patch4: php5-no-build-date.patch
 Patch5: php5-pts.patch
 Patch6: php5-openssl.patch
-Patch7: php5-systzdata-v7.patch
+Patch7: php5-systzdata-r10.patch
 Patch8: php5-systemd-unit.patch
 #bugs
 # this is from https://raw.github.com/NewEraCracker/suhosin-patches/, check 
for official
@@ -1317,7 +1319,7 @@
 %patch4
 %patch5
 %patch6
-%patch7
+%patch7 -p1
 %patch8
 %patch10
 %if %{need_libxml2_hack}
@@ -1432,7 +1434,9 @@
--with-system-tzdata=/usr/share/zoneinfo \
 --enable-hash \
 --with-mhash \
+%if 0%{suse_version} = 1320
 --with-libzip \
+%endif
 $@ || cat config.log
 # Some modules are builtin, reasons:
 #  - libxml can not be shared (and is needed by PEAR)
@@ -1500,7 +1504,11 @@
 --with-zlib=shared \
 --with-bz2=shared \
 --with-curl=shared \
+%if 0%{suse_version} = 1320
 --with-gd=shared,%{_usr} \
+%else
+--with-gd=shared \
+%endif
 --enable-gd-native-ttf \
 --with-xpm-dir=%{_x11prefix} \
 --with-freetype-dir=%{_usr} \


++ php5-systzdata-r10.patch ++
 637 lines (skipped)





commit pulseaudio for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package pulseaudio for openSUSE:Factory 
checked in at 2015-04-12 00:08:18

Comparing /work/SRC/openSUSE:Factory/pulseaudio (Old)
 and  /work/SRC/openSUSE:Factory/.pulseaudio.new (New)


Package is pulseaudio

Changes:

--- /work/SRC/openSUSE:Factory/pulseaudio/pulseaudio.changes2015-02-18 
11:37:55.0 +0100
+++ /work/SRC/openSUSE:Factory/.pulseaudio.new/pulseaudio.changes   
2015-04-12 00:08:19.0 +0200
@@ -1,0 +2,8 @@
+Tue Apr  7 08:33:58 UTC 2015 - sleep_wal...@suse.cz
+
+- create symlink providing extra-hdmi.conf (pointing to
+  default.conf)
+  it seems that some HW may get unitialized without this (check
+  pulseaudio RC1 announce)
+
+---



Other differences:
--
++ pulseaudio.spec ++
--- /var/tmp/diff_new_pack.ptOHha/_old  2015-04-12 00:08:20.0 +0200
+++ /var/tmp/diff_new_pack.ptOHha/_new  2015-04-12 00:08:20.0 +0200
@@ -354,6 +354,9 @@
 mkdir -p %{buildroot}%{_sbindir}
 ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}
 
+# some HW may get undetected without this (check pulseaudio 6.0RC1 announce)
+ln -s default.conf 
%{buildroot}%{_datadir}/pulseaudio/alsa-mixer/profile-sets/extra-hdmi.conf
+
 # openSUSE 11.3 cannot find the .desktop files
 %suse_update_desktop_file pulseaudio
 %find_lang %{name}




commit java-1_9_0-openjdk for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package java-1_9_0-openjdk for 
openSUSE:Factory checked in at 2015-04-12 00:10:12

Comparing /work/SRC/openSUSE:Factory/java-1_9_0-openjdk (Old)
 and  /work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new (New)


Package is java-1_9_0-openjdk

Changes:

--- /work/SRC/openSUSE:Factory/java-1_9_0-openjdk/java-1_9_0-openjdk.changes
2015-04-07 09:30:10.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new/java-1_9_0-openjdk.changes   
2015-04-12 00:10:17.0 +0200
@@ -1,0 +2,5 @@
+Fri Apr 10 06:48:01 UTC 2015 - fst...@suse.com
+
+- Build aarch64 as JIT accelerated JVM
+
+---

Old:

  139092a10ded.tar.bz2
  2e640036000d.tar.bz2
  5ee7bba6ef41.tar.bz2
  7969f7b6465e.tar.bz2
  b4f913b48e69.tar.bz2
  eb7febe45865.tar.bz2
  ef4afd6832b0.tar.bz2
  fd2d5ec7e7b1.tar.bz2

New:

  17c4241395e9.tar.bz2
  2c417f7d7b0d.tar.bz2
  3bcfcb13c234.tar.bz2
  56a85ffe743d.tar.bz2
  c76339e86ea7.tar.bz2
  d8ebf1a5b18c.tar.bz2
  ec977a00cecb.tar.bz2
  f25ee9f62427.tar.bz2



Other differences:
--
++ java-1_9_0-openjdk.spec ++
--- /var/tmp/diff_new_pack.rm3H76/_old  2015-04-12 00:10:20.0 +0200
+++ /var/tmp/diff_new_pack.rm3H76/_new  2015-04-12 00:10:20.0 +0200
@@ -17,7 +17,7 @@
 
 
 %{!?aarch64:%global aarch64 aarch64 arm64 armv8}
-%global jit_arches %ix86 x86_64 ppc64 ppc64le
+%global jit_arches %ix86 x86_64 ppc64 ppc64le %aarch64
 %global debug 0
 %global bootcycle 1
 %global buildoutputdir build
@@ -33,17 +33,17 @@
 %global minorver9
 %global microver0
 %global updatever   0
-%global buildverb56
+%global buildver b57
 %global root_projectjdk9
 %global root_repository jdk9
-%global root_revision eb7febe45865
-%global corba_revision ef4afd6832b0
-%global hotspot_revision fd2d5ec7e7b1
-%global jaxp_revision 139092a10ded
-%global jaxws_revision b4f913b48e69
-%global jdk_revision 7969f7b6465e
-%global langtools_revision 5ee7bba6ef41
-%global nashorn_revision 2e640036000d
+%global root_revision f25ee9f62427
+%global corba_revision d8ebf1a5b18c
+%global hotspot_revision 56a85ffe743d
+%global jaxp_revision 2c417f7d7b0d
+%global jaxws_revision 17c4241395e9
+%global jdk_revision c76339e86ea7
+%global langtools_revision ec977a00cecb
+%global nashorn_revision 3bcfcb13c234
 %global icedtea_sound_version 1.0.1
 # priority must be 6 digits in total
 %global priority%(echo 1 * %{majorver} + 1000 * %{minorver} + 100 
* %{microver} + %{updatever} | bc)

++ fd2d5ec7e7b1.tar.bz2 - 17c4241395e9.tar.bz2 ++
/work/SRC/openSUSE:Factory/java-1_9_0-openjdk/fd2d5ec7e7b1.tar.bz2 
/work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new/17c4241395e9.tar.bz2 differ: 
char 11, line 1

++ 139092a10ded.tar.bz2 - 2c417f7d7b0d.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaxp-139092a10ded/.hg_archival.txt 
new/jaxp-2c417f7d7b0d/.hg_archival.txt
--- old/jaxp-139092a10ded/.hg_archival.txt  2015-03-19 20:59:21.0 
+0100
+++ new/jaxp-2c417f7d7b0d/.hg_archival.txt  2015-04-01 21:29:46.0 
+0200
@@ -1,4 +1,4 @@
 repo: 6ce5f4757bde08f7470cbb9f0b46da8f2f3d4f56
-node: 139092a10dedd32bc1155e40c67a6ef682e39873
+node: 2c417f7d7b0dc98e887474884aa39f974894f0c2
 branch: default
-tag: jdk9-b56
+tag: jdk9-b57
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaxp-139092a10ded/.hgtags 
new/jaxp-2c417f7d7b0d/.hgtags
--- old/jaxp-139092a10ded/.hgtags   2015-03-19 20:59:21.0 +0100
+++ new/jaxp-2c417f7d7b0d/.hgtags   2015-04-01 21:29:46.0 +0200
@@ -298,3 +298,4 @@
 d5b5a010a16688f188f5a9247ed873f5100b530c jdk9-b53
 542c0c855ad467624cbedf11bff08e44b86b068d jdk9-b54
 2a460ce60ed47081f756f0cc0321d8e9ba7cac17 jdk9-b55
+139092a10dedd32bc1155e40c67a6ef682e39873 jdk9-b56
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaxp-139092a10ded/test/Makefile 
new/jaxp-2c417f7d7b0d/test/Makefile
--- old/jaxp-139092a10ded/test/Makefile 2015-03-19 20:59:21.0 +0100
+++ new/jaxp-2c417f7d7b0d/test/Makefile 2015-04-01 21:29:46.0 +0200
@@ -262,8 +262,8 @@
   EXTRA_JTREG_OPTIONS += -concurrency:$(CONCURRENCY)
 endif
 
-# Default JTREG to run (win32 script works for everybody)
-JTREG = $(JT_HOME)/win32/bin/jtreg
+# Default JTREG to run
+JTREG = $(JT_HOME)/bin/jtreg
 # run in agentvm mode
 JTREG_BASIC_OPTIONS += -agentvm
 # Only run automatic tests

++ 139092a10ded.tar.bz2 - 3bcfcb13c234.tar.bz2 ++
 1112856 lines of diff (skipped)

++ 139092a10ded.tar.bz2 - 56a85ffe743d.tar.bz2 ++

commit rubygem-execjs for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package rubygem-execjs for openSUSE:Factory 
checked in at 2015-04-12 00:10:54

Comparing /work/SRC/openSUSE:Factory/rubygem-execjs (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-execjs.new (New)


Package is rubygem-execjs

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-execjs/rubygem-execjs.changes
2015-03-09 10:09:48.0 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-execjs.new/rubygem-execjs.changes   
2015-04-12 00:11:00.0 +0200
@@ -1,0 +2,5 @@
+Tue Apr  7 04:35:07 UTC 2015 - co...@suse.com
+
+- updated to version 2.5.0
+
+---

Old:

  execjs-2.4.0.gem

New:

  execjs-2.5.0.gem



Other differences:
--
++ rubygem-execjs.spec ++
--- /var/tmp/diff_new_pack.Dhh3rW/_old  2015-04-12 00:11:01.0 +0200
+++ /var/tmp/diff_new_pack.Dhh3rW/_new  2015-04-12 00:11:01.0 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-execjs
-Version:2.4.0
+Version:2.5.0
 Release:0
 %define mod_name execjs
 %define mod_full_name %{mod_name}-%{version}
@@ -32,7 +32,7 @@
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  %{ruby}
 BuildRequires:  ruby-macros = 5
-Url:https://github.com/sstephenson/execjs
+Url:https://github.com/rails/execjs
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Run JavaScript code from Ruby

++ execjs-2.4.0.gem - execjs-2.5.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/LICENSE new/LICENSE
--- old/LICENSE 2015-03-05 20:41:51.0 +0100
+++ new/LICENSE 2015-04-06 19:08:07.0 +0200
@@ -1,5 +1,5 @@
-Copyright (c) 2014 Sam Stephenson
-Copyright (c) 2014 Josh Peek
+Copyright (c) 2015 Sam Stephenson
+Copyright (c) 2015 Josh Peek
 
 Permission is hereby granted, free of charge, to any person obtaining
 a copy of this software and associated documentation files (the
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   2015-03-05 20:41:51.0 +0100
+++ new/README.md   2015-04-06 19:08:07.0 +0200
@@ -11,6 +11,7 @@
   embedded within Ruby
 * [therubyrhino](https://github.com/cowboyd/therubyrhino) - Mozilla
   Rhino embedded within JRuby
+* [Duktape.rb](https://github.com/judofyr/duktape.rb) - Duktape JavaScript 
interpreter
 * [Node.js](http://nodejs.org/)
 * Apple JavaScriptCore - Included with Mac OS X
 * [Microsoft Windows Script 
Host](http://msdn.microsoft.com/en-us/library/9bbdkx3k.aspx) (JScript)
@@ -74,6 +75,6 @@
 
 # License
 
-Copyright (c) 2014 Sam Stephenson and Josh Peek.
+Copyright (c) 2015 Sam Stephenson and Josh Peek.
 
 Released under the MIT license. See `LICENSE` for details.
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/execjs/duktape_runtime.rb 
new/lib/execjs/duktape_runtime.rb
--- old/lib/execjs/duktape_runtime.rb   1970-01-01 01:00:00.0 +0100
+++ new/lib/execjs/duktape_runtime.rb   2015-04-06 19:08:07.0 +0200
@@ -0,0 +1,68 @@
+require execjs/runtime
+require json
+
+module ExecJS
+  class DuktapeRuntime  Runtime
+class Context  Runtime::Context
+  def initialize(runtime, source = )
+@ctx = Duktape::Context.new(complex_object: nil)
+@ctx.exec_string(encode(source), '(execjs)')
+  rescue Exception = e
+raise wrap_error(e)
+  end
+
+  def exec(source, options = {})
+return unless /\S/ =~ source
+@ctx.eval_string((function(){#{encode(source)}})(), '(execjs)')
+  rescue Exception = e
+raise wrap_error(e)
+  end
+
+  def eval(source, options = {})
+return unless /\S/ =~ source
+@ctx.eval_string((#{encode(source)}), '(execjs)')
+  rescue Exception = e
+raise wrap_error(e)
+  end
+
+  def call(identifier, *args)
+@ctx.call_prop(identifier.split(.), *args)
+  rescue Exception = e
+raise wrap_error(e)
+  end
+
+  private
+def wrap_error(e)
+  klass = case e
+  when Duktape::SyntaxError
+RuntimeError
+  when Duktape::Error
+ProgramError
+  when Duktape::InternalError
+RuntimeError
+  end
+
+  if klass
+re = / \(line (\d+)\)$/
+lineno = e.message[re, 1] || 1
+error = klass.new(e.message.sub(re, ))
+error.set_backtrace([(execjs):#{lineno}] + e.backtrace)
+error
+  else
+

commit rubygem-exception_notification for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package rubygem-exception_notification for 
openSUSE:Factory checked in at 2015-04-12 00:11:04

Comparing /work/SRC/openSUSE:Factory/rubygem-exception_notification (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-exception_notification.new (New)


Package is rubygem-exception_notification

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-exception_notification/rubygem-exception_notification.changes
2013-09-27 18:06:23.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-exception_notification.new/rubygem-exception_notification.changes
   2015-04-12 00:11:07.0 +0200
@@ -1,0 +2,18 @@
+Sat Apr 11 06:07:24 UTC 2015 - co...@suse.com
+
+- updated to version 4.1.0
+ * enhancements
+   * Add support for Sidekiq 3.0 (by @mbrictson)
+   * Add IRC notifier (by @nathanjsharpe)
+   * Add ActionController::UnknownFormat to default ignored exceptions (by 
@rezwyi)
+   * Add message_template option to HipChat notifier (by @makimoto)
+   * Add support for HipChat APIv2 (by @michaelherold)
+   * Add Slack notifier (by @martin1keogh)
+   * Add option for notifying on `X-Cascade` header (by @etipton)
+   * Improve backtrace data (by @munkius)
+ 
+ * bug fixes
+   * Fix `Rails.root` exception (by @hovatterz)
+   * Fix email notifier in Sinatra (by @betesh)
+
+---

Old:

  exception_notification-4.0.1.gem

New:

  exception_notification-4.1.0.gem
  gem2rpm.yml



Other differences:
--
++ rubygem-exception_notification.spec ++
--- /var/tmp/diff_new_pack.xNEwvd/_old  2015-04-12 00:11:08.0 +0200
+++ /var/tmp/diff_new_pack.xNEwvd/_new  2015-04-12 00:11:08.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-exception_notification
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,70 +16,41 @@
 #
 
 
+#
+# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
+# All sections marked as MANUAL, license headers, summaries and descriptions
+# can be maintained in that file. Please consult this file before editing any
+# of those fields
+#
+
 Name:   rubygem-exception_notification
-Version:4.0.1
+Version:4.1.0
 Release:0
 %define mod_name exception_notification
 %define mod_full_name %{mod_name}-%{version}
-
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  ruby-macros = 1
-Requires:   ruby = 1.9.3
-BuildRequires:  ruby-devel = 1.9.3
+BuildRequires:  %{ruby = 1.9.3}
+BuildRequires:  %{rubygem gem2rpm}
+BuildRequires:  ruby-macros = 5
 Url:http://smartinez87.github.com/exception_notification
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source1:gem2rpm.yml
 Summary:Exception notification for Rails apps
 License:MIT
 Group:  Development/Languages/Ruby
 
 %description
-Exception notification for Rails apps
-
-%package doc
-Summary:RDoc documentation for %{mod_name}
-Group:  Development/Languages/Ruby
-Requires:   %{name} = %{version}
-
-%description doc
-Documentation generated at gem installation time.
-Usually in RDoc and RI formats.
-
-%package testsuite
-Summary:Test suite for %{mod_name}
-Group:  Development/Languages/Ruby
-Requires:   %{name} = %{version}
-
-%description testsuite
-Test::Unit or RSpec files, useful for developers.
+Exception notification for Rails apps.
 
 %prep
-#gem_unpack
-#if you need patches, apply them here and replace the # with a % sign in the 
surrounding lines
-#gem_build
 
 %build
 
 %install
-%gem_install -f
-mkdir -p %{buildroot}%{_docdir}/%{name}
-ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/CHANGELOG.rdoc 
%buildroot/%{_docdir}/%{name}/CHANGELOG.rdoc
-ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/MIT-LICENSE 
%buildroot/%{_docdir}/%{name}/MIT-LICENSE
-ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/README.md 
%buildroot/%{_docdir}/%{name}/README.md
-
-%files
-%defattr(-,root,root,-)
-%{_docdir}/%{name}
-%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
-%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
-%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
-%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec
-
-%files doc
-%defattr(-,root,root,-)
-%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/
-
-%files testsuite
-%defattr(-,root,root,-)

commit dice for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package dice for openSUSE:Factory checked in 
at 2015-04-12 00:10:39

Comparing /work/SRC/openSUSE:Factory/dice (Old)
 and  /work/SRC/openSUSE:Factory/.dice.new (New)


Package is dice

Changes:

--- /work/SRC/openSUSE:Factory/dice/dice.changes2015-04-10 
09:52:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.dice.new/dice.changes   2015-04-12 
00:10:47.0 +0200
@@ -1,0 +2,10 @@
+Fri Apr 10 12:17:44 CEST 2015 - m...@suse.de
+
+- Make sure a default provider is set for vagrant
+  
+  dice takes the value VAGRANT_DEFAULT_PROVIDER from the
+  environment and if not set it is set to 'docker'. the
+  parameter will be passed as --provider option to the
+  vagrant calls
+  
+---



Other differences:
--
++ dice-0.5.3.gem ++
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/config.rb new/lib/config.rb
--- old/lib/config.rb   2015-04-08 09:10:37.0 +0200
+++ new/lib/config.rb   2015-04-10 12:38:00.0 +0200
@@ -4,6 +4,10 @@
   attr_accessor :ssh_user
 
   def initialize
+# default provider is docker if not specified in env
+if !ENV[VAGRANT_DEFAULT_PROVIDER]
+  ENV[VAGRANT_DEFAULT_PROVIDER] = docker
+end
 # default buildhost is a vagrant identification symbol
 # which triggers the use of vagrant
 @buildhost = Dice::VAGRANT_BUILD
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/vagrant_build_system.rb 
new/lib/vagrant_build_system.rb
--- old/lib/vagrant_build_system.rb 2015-04-08 09:10:37.0 +0200
+++ new/lib/vagrant_build_system.rb 2015-04-10 12:38:00.0 +0200
@@ -19,7 +19,10 @@
   #{self.class}: Starting up buildsystem for #{recipe.basepath}...
 )
 begin
-  up_output = Command.run(vagrant, up, :stdout = :capture)
+  up_output = Command.run(
+vagrant, up, --provider, ENV[VAGRANT_DEFAULT_PROVIDER],
+:stdout = :capture
+  )
 rescue Cheetah::ExecutionFailed = e
   raise Dice::Errors::VagrantUpFailed.new(
 Starting up virtual system failed with: #{e.stderr}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2015-04-08 09:10:37.0 +0200
+++ new/metadata2015-04-10 12:38:00.0 +0200
@@ -8,7 +8,7 @@
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2015-04-08 00:00:00.0 Z
+date: 2015-04-10 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: cheetah




commit metacity for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package metacity for openSUSE:Factory 
checked in at 2015-04-12 00:10:35

Comparing /work/SRC/openSUSE:Factory/metacity (Old)
 and  /work/SRC/openSUSE:Factory/.metacity.new (New)


Package is metacity

Changes:

--- /work/SRC/openSUSE:Factory/metacity/metacity.changes2015-03-30 
19:13:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.metacity.new/metacity.changes   2015-04-12 
00:10:43.0 +0200
@@ -1,0 +2,23 @@
+Tue Apr  7 21:07:29 UTC 2015 - zai...@opensuse.org
+
+- Update to version 3.16.0:
+  + Added Adwaita and HightContrast metacity themes as they were
+removed from gnome-themes-standard.
+  + Metacity now use theme setting key from org.gnome.metacity
+schema not org.gnome.desktop.wm.preferences.
+  + Added support for GTK+ theme. Set theme to empty string to
+enable GTK+ theme. Almost everything here was adapted from
+mutter.
+  + Added support for invisible borders. Again most work are based
+on mutter.
+  + Added invisible_border to metacity theme. Default is 10px extra
+space for resize cursor area.
+  + Added back window thumbnails in alt-tab window as optional
+option. Can be enabled setting alt-tab-thumbnails to true under
+org.gnome.metacity.
+  + Better support for _GTK_FRAME_EXTENTS.
+  + Updated translations.
+- Rename libmetacity-private2 subpackage to libmetacity-private3,
+  following upstreams soname bump.
+
+---

Old:

  metacity-3.15.2.tar.xz

New:

  metacity-3.16.0.tar.xz



Other differences:
--
++ metacity.spec ++
--- /var/tmp/diff_new_pack.ACMLlS/_old  2015-04-12 00:10:44.0 +0200
+++ /var/tmp/diff_new_pack.ACMLlS/_new  2015-04-12 00:10:44.0 +0200
@@ -17,12 +17,12 @@
 
 
 Name:   metacity
-Version:3.15.2
+Version:3.16.0
 Release:0
 Summary:A Window Manager for the GNOME Desktop
 License:GPL-2.0+
 Group:  System/GUI/GNOME
-Source: 
http://download.gnome.org/sources/metacity/3.15/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/metacity/3.16/%{name}-%{version}.tar.xz
 # PATCH-FIX-OPENSUSE metacity-bnc385553-buggy-intel-xinerama.diff bnc#385553 
feder...@novell.com - Sanitize overlapping (cloned) monitors from Xinerama
 Patch11:metacity-bnc385553-buggy-intel-xinerama.diff
 Url:http://www.gnome.org
@@ -57,11 +57,11 @@
 %description
 Metacity is a window manager for the GNOME Desktop.
 
-%package -n libmetacity-private2
+%package -n libmetacity-private3
 Summary:A Window Manager for the GNOME Desktop -- Library to render 
themes
 Group:  System/Libraries
 
-%description -n libmetacity-private2
+%description -n libmetacity-private3
 Metacity is a window manager for the GNOME Desktop.
 
 %package tools
@@ -78,7 +78,7 @@
 %package devel
 Summary:Include Files and Libraries mandatory for Development
 Group:  Development/Libraries/GNOME
-Requires:   libmetacity-private2 = %{version}
+Requires:   libmetacity-private3 = %{version}
 
 %description devel
 This package contains all necessary include files and libraries needed
@@ -113,10 +113,10 @@
 %desktop_database_postun
 %glib2_gsettings_schema_postun
 
-%post -n libmetacity-private2
+%post -n libmetacity-private3
 /sbin/ldconfig
 
-%postun -n libmetacity-private2
+%postun -n libmetacity-private3
 /sbin/ldconfig
 
 %files
@@ -139,7 +139,7 @@
 %doc %{_mandir}/man1/metacity.1%{?ext_man}
 %doc %{_mandir}/man1/metacity-message.1%{?ext_man}
 
-%files -n libmetacity-private2
+%files -n libmetacity-private3
 %defattr (-, root, root)
 %{_libdir}/libmetacity-private.so.*
 

++ metacity-3.15.2.tar.xz - metacity-3.16.0.tar.xz ++
 34747 lines of diff (skipped)




commit python3-veusz for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package python3-veusz for openSUSE:Factory 
checked in at 2015-04-12 00:11:19

Comparing /work/SRC/openSUSE:Factory/python3-veusz (Old)
 and  /work/SRC/openSUSE:Factory/.python3-veusz.new (New)


Package is python3-veusz

Changes:

--- /work/SRC/openSUSE:Factory/python3-veusz/python3-veusz.changes  
2015-03-05 18:17:04.0 +0100
+++ /work/SRC/openSUSE:Factory/.python3-veusz.new/python3-veusz.changes 
2015-04-12 00:11:20.0 +0200
@@ -1,0 +2,7 @@
+Sat Apr 11 04:03:36 UTC 2015 - badshah...@gmail.com
+
+- Fix symlink creation of icons, so that they actually show up.
+- Fix incorrect use of %icon_theme_cache_post(un) scriptlets
+  in post installation scripts.
+
+---



Other differences:
--
++ python3-veusz.spec ++
--- /var/tmp/diff_new_pack.nArmpx/_old  2015-04-12 00:11:20.0 +0200
+++ /var/tmp/diff_new_pack.nArmpx/_new  2015-04-12 00:11:20.0 +0200
@@ -101,8 +101,9 @@
 %{buildroot}%{_datadir}/pixmaps/%{appname}
 mv %{buildroot}%{python3_sitearch}/veusz/icons/*.svg \
 %{buildroot}%{_datadir}/pixmaps/%{appname}
-for i in `ls %{buildroot}%{_datadir}/pixmaps/veusz/`; do
-ln -s  %{_datadir}/pixmaps/%{appname}/$i \
+for i in `ls %{buildroot}%{_datadir}/pixmaps/%{appname}/`
+do
+  ln -s  %{_datadir}/pixmaps/%{appname}/$i \
   %{buildroot}%{python3_sitearch}/veusz/icons/$i ;
 done
 # symlink main veusz icon also into hicolor-icon-theme dir (for desktop file)
@@ -147,11 +148,11 @@
 
 %post
 update-mime-database %{_datadir}/mime  /dev/null 21 || :
-%icon_theme_cache_postun
+%icon_theme_cache_post
 
 %postun
 update-mime-database %{_datadir}/mime  /dev/null 21 || :
-%icon_theme_cache_post
+%icon_theme_cache_postun
 
 %post -n %{appname}
 update-desktop-database %{_datadir}/applications





commit opera for openSUSE:Factory:NonFree

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package opera for openSUSE:Factory:NonFree 
checked in at 2015-04-12 00:11:28

Comparing /work/SRC/openSUSE:Factory:NonFree/opera (Old)
 and  /work/SRC/openSUSE:Factory:NonFree/.opera.new (New)


Package is opera

Changes:

--- /work/SRC/openSUSE:Factory:NonFree/opera/opera.changes  2015-04-10 
10:27:09.0 +0200
+++ /work/SRC/openSUSE:Factory:NonFree/.opera.new/opera.changes 2015-04-12 
00:11:34.0 +0200
@@ -1,0 +2,8 @@
+Thu Apr  9 14:40:13 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 28.0.1750.51:
+  * Chromium update to 41.0.2272.118.
+  * Fix crash on initiation HiDPI.
+  * HiDpi detection did not work.
+
+---

Old:

  opera-stable_28.0.1750.48_amd64.deb

New:

  opera-stable_28.0.1750.51_amd64.deb



Other differences:
--
++ opera.spec ++
--- /var/tmp/diff_new_pack.71PHU2/_old  2015-04-12 00:11:37.0 +0200
+++ /var/tmp/diff_new_pack.71PHU2/_new  2015-04-12 00:11:37.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   opera
-Version:28.0.1750.48
+Version:28.0.1750.51
 Release:0
 Summary:Proprietary web browser
 License:SUSE-NonFree
@@ -32,10 +32,10 @@
 Recommends: libavcodec56
 Recommends: libavformat56
 Recommends: libavutil54
-Provides:   %{name}-kde4 = %{version}
 Provides:   %{name}-gtk = %{version}
-Obsoletes:  %{name}-kde4  %{version}
+Provides:   %{name}-kde4 = %{version}
 Obsoletes:  %{name}-gtk  %{version}
+Obsoletes:  %{name}-kde4  %{version}
 ExclusiveArch: x86_64
 
 %description




commit rubygem-gettext_i18n_rails_js for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package rubygem-gettext_i18n_rails_js for 
openSUSE:Factory checked in at 2015-04-12 00:11:08

Comparing /work/SRC/openSUSE:Factory/rubygem-gettext_i18n_rails_js (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-gettext_i18n_rails_js.new (New)


Package is rubygem-gettext_i18n_rails_js

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-gettext_i18n_rails_js/rubygem-gettext_i18n_rails_js.changes
  2015-02-27 10:59:39.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-gettext_i18n_rails_js.new/rubygem-gettext_i18n_rails_js.changes
 2015-04-12 00:11:09.0 +0200
@@ -1,0 +2,8 @@
+Sat Apr 11 06:09:02 UTC 2015 - co...@suse.com
+
+- updated to version 1.0.2
+ * Fixes exception when parsing empty js/coffee files
+ * Avoid methods defined in rake task exposing globally
+ * Added better configuration options
+
+---

Old:

  gettext_i18n_rails_js-1.0.1.gem

New:

  gettext_i18n_rails_js-1.0.2.gem



Other differences:
--
++ rubygem-gettext_i18n_rails_js.spec ++
--- /var/tmp/diff_new_pack.4N7To8/_old  2015-04-12 00:11:10.0 +0200
+++ /var/tmp/diff_new_pack.4N7To8/_new  2015-04-12 00:11:10.0 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-gettext_i18n_rails_js
-Version:1.0.1
+Version:1.0.2
 Release:0
 %define mod_name gettext_i18n_rails_js
 %define mod_full_name %{mod_name}-%{version}

++ gettext_i18n_rails_js-1.0.1.gem - gettext_i18n_rails_js-1.0.2.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2015-02-24 20:48:08.0 +0100
+++ new/CHANGELOG.md1970-01-01 01:00:00.0 +0100
@@ -1,5 +1,11 @@
 # Changelog
 
+## 
[1.0.2](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.0.2) 
- 2015-03-30
+
+* Fixes exception when parsing empty js/coffee files
+* Avoid methods defined in rake task exposing globally
+* Added better configuration options
+
 ## 
[1.0.1](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.0.1) 
- 2015-02-24
 
 * Added missing javascripts to the gemspec
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/README.md new/README.md
--- old/README.md   2015-02-24 20:48:08.0 +0100
+++ new/README.md   1970-01-01 01:00:00.0 +0100
@@ -82,6 +82,22 @@
   pretty: false
 ```
 
+If you prefer an initializer file within your rails application you can use
+that in favor of the YML configuration as well:
+
+```ruby
+GettextI18nRailsJs.config do |config|
+  config.output_path = app/assets/javascripts/locale
+
+  config.handlebars_function = __
+  config.javascript_function = __
+
+  config.jed_options = {
+pretty: false
+  }
+end
+```
+
 
 ## Todo
 
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/assets/javascripts/gettext/all.js 
new/lib/assets/javascripts/gettext/all.js
--- old/lib/assets/javascripts/gettext/all.js   2015-02-24 20:48:08.0 
+0100
+++ new/lib/assets/javascripts/gettext/all.js   1970-01-01 01:00:00.0 
+0100
@@ -26,7 +26,7 @@
 //= require_self
 
 (function() {
-  var locales = locales || {};
+  var locales = this.locales || {};
   var locale = document.getElementsByTagName('html')[0].lang;
 
   if(!locale) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/gettext_i18n_rails_js/config.rb 
new/lib/gettext_i18n_rails_js/config.rb
--- old/lib/gettext_i18n_rails_js/config.rb 1970-01-01 01:00:00.0 
+0100
+++ new/lib/gettext_i18n_rails_js/config.rb 1970-01-01 01:00:00.0 
+0100
@@ -0,0 +1,75 @@
+# -*- coding: UTF-8 -*-
+#
+# Copyright (c) 2012-2015 Dropmysite.com https://dropmyemail.com
+# Copyright (c) 2015 Webhippie http://www.webhippie.de
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# Software), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+#
+# The above copyright notice and this permission notice shall be
+# included in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED AS IS, WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# 

commit tig for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package tig for openSUSE:Factory checked in 
at 2015-04-12 00:10:41

Comparing /work/SRC/openSUSE:Factory/tig (Old)
 and  /work/SRC/openSUSE:Factory/.tig.new (New)


Package is tig

Changes:

--- /work/SRC/openSUSE:Factory/tig/tig.changes  2015-03-18 13:05:47.0 
+0100
+++ /work/SRC/openSUSE:Factory/.tig.new/tig.changes 2015-04-12 
00:10:49.0 +0200
@@ -1,0 +2,14 @@
+Thu Apr  9 08:07:11 UTC 2015 - astie...@suse.com
+
+- tig 2.1.1
+- improvements
+  * Add support for key combos.
+  * See `contrib/vim.tigrc` for Vim-like keybindings.
+  * Add GitHub inspired file finder to search for and open any file.
+  * Add `search` keymap for navigation file finder search results.
+- Bug fixes:
+  * Fix display of multiple references per commit.
+  * Sync the prompt's cursor position with readline's internal position.
+  * Keep unstaged changes view open after an staging command.
+
+---

Old:

  tig-2.1.tar.gz

New:

  tig-2.1.1.tar.gz



Other differences:
--
++ tig.spec ++
--- /var/tmp/diff_new_pack.8JJaX7/_old  2015-04-12 00:10:51.0 +0200
+++ /var/tmp/diff_new_pack.8JJaX7/_new  2015-04-12 00:10:51.0 +0200
@@ -18,7 +18,7 @@
 
 %define with_bash_completion 0%{?suse_version} = 1310
 Name:   tig
-Version:2.1
+Version:2.1.1
 Release:0
 Summary:An ncurses-based text-mode interface for git
 License:GPL-2.0+

++ tig-2.1.tar.gz - tig-2.1.1.tar.gz ++
 2461 lines of diff (skipped)




commit booth for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package booth for openSUSE:Factory checked 
in at 2015-04-12 00:10:32

Comparing /work/SRC/openSUSE:Factory/booth (Old)
 and  /work/SRC/openSUSE:Factory/.booth.new (New)


Package is booth

Changes:

--- /work/SRC/openSUSE:Factory/booth/booth.changes  2015-02-18 
20:36:52.0 +0100
+++ /work/SRC/openSUSE:Factory/.booth.new/booth.changes 2015-04-12 
00:10:40.0 +0200
@@ -1,0 +2,20 @@
+Thu Apr 09 14:45:37 UTC 2015 - opensuse-packag...@opensuse.org
+
+- Update to version v0.2.0_50_g03bdf8a:
+  + build: update spec, doc, add AUTHORS
+  + doc: add sample pacemaker configuration to the testing README
+  + spec: skip the update procedure on new installations
+  + use subsecond timers internally
+  + ticket: allow finer resolution time in messages
+  + test: add sharedrsc OCF test RA
+  + raft: better control of term increment
+  + raft: ignore messages with invalid term (lower than already committed)
+  + booth-site: exit early in start if daemon cannot start
+  + raft: handle duplicate ticket release requests
+  + ticket: add -C option (wait for commit)
+  + ticket: restart elections after last candidate disappears
+  + contrib: add geo-cluster.fwd (suse firewall rules)
+  + ticket: ignore late MY_INDEX requests
+  + timer: round to seconds when converting from timeval
+
+---

New:

  _servicedata



Other differences:
--
++ booth.spec ++
--- /var/tmp/diff_new_pack.EE6s8e/_old  2015-04-12 00:10:42.0 +0200
+++ /var/tmp/diff_new_pack.EE6s8e/_new  2015-04-12 00:10:42.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package booth
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -159,6 +159,8 @@
 
 # this should be preun, but...
 %pre
+# new installation?
+test -x %{_sbindir}/booth || exit 0
 # stop the arbitrator if it's the previous paxos version 1.0
 if [ `booth version | awk '{print $2}'` = 1.0 ]; then
echo booth v0.1 found
@@ -186,5 +188,9 @@
 
 %doc README-testing
 %{test_path}
+%dir /usr/lib/ocf
+%dir /usr/lib/ocf/resource.d
+%dir /usr/lib/ocf/resource.d/booth
+/usr/lib/ocf/resource.d/booth/sharedrsc
 
 %changelog

++ _service ++
--- /var/tmp/diff_new_pack.EE6s8e/_old  2015-04-12 00:10:42.0 +0200
+++ /var/tmp/diff_new_pack.EE6s8e/_new  2015-04-12 00:10:42.0 +0200
@@ -3,28 +3,15 @@
 param name=urlgit://github.com/ClusterLabs/booth.git/param
 param name=scmgit/param
 param name=exclude.git/param
-param name=version/param
-
-!--
-   This option requires an updated obs-service-tar_scm from openSUSE:Tools.
-   See https://github.com/SUSE/cloud/wiki/Packaging-HOWTO for more details.
-param name=versionformat%at.%h/param
---
-
-!--
-   Use this if you want a specific branch / tag / revision, or comment it
-   out to get the latest master.
---
-!--
-param name=revisiona1b2c3d4/param
---
+param name=filenamebooth/param
+param name=versionformat@PARENT_TAG@/param
+param name=revisionmaster/param
+param name=changesgenerateenable/param
   /service
-
   service name=recompress mode=disabled
 param name=filebooth*.tar/param
 param name=compressionbz2/param
   /service
-
   !--
   service name=set_version mode=disabled
 param name=basenamebooth/param

++ _servicedata ++
servicedata
service name=tar_scm
param name=urlgit://github.com/ClusterLabs/booth.git/param
  param 
name=changesrevision03bdf8abc14bb9890330aca20adda641a8cf495d/param/service/servicedata++
 booth.tar.bz2 ++
 3074 lines of diff (skipped)




commit python-h5py for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package python-h5py for openSUSE:Factory 
checked in at 2015-04-12 00:10:49

Comparing /work/SRC/openSUSE:Factory/python-h5py (Old)
 and  /work/SRC/openSUSE:Factory/.python-h5py.new (New)


Package is python-h5py

Changes:

--- /work/SRC/openSUSE:Factory/python-h5py/python-h5py.changes  2014-07-18 
06:41:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-h5py.new/python-h5py.changes 
2015-04-12 00:10:55.0 +0200
@@ -1,0 +2,34 @@
+Fri Apr 10 14:15:27 UTC 2015 - toddrme2...@gmail.com
+
+- specfile:
+  * changed from 2to3 to six
+  * added build requirement for python3-pkgconfig
+  * added Cython requirement for install
+  * update copyright year
+- update to version 2.5.0:
+  * Experimental SWMR support
+  * Group and AttributeManager classes now inherit from the appropriate ABCs
+  * Fixed an issue with 64-bit float VLENS
+  * Cython warning cleanups related to const
+  * Entire code base ported to six; 2to3 removed from setup.py
+- update to version 2.4.0:
+  * This release incorporates a total re-write of the identifier
+management system in h5py. As part of this refactoring, the entire
+API is also now protected by threading locks.
+  * Files are now automatically closed when all objects within them
+are unreachable. Previously, if File.close() was not explicitly
+closed, files would remain open and leaks were possible if the
+File object was lost.
+  * The entire API is now believed to be thread-safe (feedback
+welcome!).
+  * External links now work if the target file is already
+open. Previously this was not possible because of a mismatch in
+the file close strengths.
+  * The options to setup.py have changed; a new top-level configure
+command handles options like --hdf5=/path/to/hdf5 and
+--mpi. Setup.py now works correctly under Python 3 when these
+options are used.
+  * Cython (0.17+) is now required when building from source.
+  * The minimum NumPy version is now 1.6.1.
+
+---

Old:

  h5py-2.3.1.tar.gz

New:

  h5py-2.5.0.tar.gz



Other differences:
--
++ python-h5py.spec ++
--- /var/tmp/diff_new_pack.iER1cI/_old  2015-04-12 00:10:57.0 +0200
+++ /var/tmp/diff_new_pack.iER1cI/_new  2015-04-12 00:10:57.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-h5py
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,24 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   python-h5py
-Version:2.3.1
+Version:2.5.0
 Release:1
-License:BSD-3-Clause
 Summary:Python interface to the Hierarchical Data Format library
-Url:http://www.h5py.org/
+License:BSD-3-Clause
 Group:  Development/Libraries/Python
+Url:http://www.h5py.org/
 Source: 
https://pypi.python.org/packages/source/h/h5py/h5py-%{version}.tar.gz
 BuildRequires:  hdf5-devel
 BuildRequires:  python-devel
-BuildRequires:  python-numpy-devel
+BuildRequires:  python-Cython
+BuildRequires:  python-numpy-devel = 1.6.1
+BuildRequires:  python-pkgconfig
+BuildRequires:  python-six
+Requires:   python-Cython
+Requires:   python-numpy = 1.6.1
+Requires:   python-six
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -44,9 +51,12 @@
 %install
 python setup.py install --prefix=%{_prefix} --root=%{buildroot}
 
+%post   -p /sbin/ldconfig
+%postun -p /sbin/ldconfig
+
 %files
 %defattr(-,root,root)
-%doc ANN.rst README.rst lzf/LICENSE.txt lzf/README.txt examples
+%doc ANN.rst README.rst lzf/LICENSE.txt lzf/README.txt examples licenses/*
 %{python_sitearch}/h5py/
 %{python_sitearch}/h5py-%{version}-py*.egg-info
 

++ h5py-2.3.1.tar.gz - h5py-2.5.0.tar.gz ++
 274854 lines of diff (skipped)




commit libxslt for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package libxslt for openSUSE:Factory checked 
in at 2015-04-12 00:09:38

Comparing /work/SRC/openSUSE:Factory/libxslt (Old)
 and  /work/SRC/openSUSE:Factory/.libxslt.new (New)


Package is libxslt

Changes:

--- /work/SRC/openSUSE:Factory/libxslt/libxslt.changes  2015-02-06 
10:44:11.0 +0100
+++ /work/SRC/openSUSE:Factory/.libxslt.new/libxslt.changes 2015-04-12 
00:09:39.0 +0200
@@ -1,0 +2,5 @@
+Thu Apr  9 06:47:23 UTC 2015 - s...@microstep-mis.com
+
+- fix package with soname should obsolete libxslt package on suse  12.2 
(SLE11)
+
+---



Other differences:
--
++ libxslt.spec ++
--- /var/tmp/diff_new_pack.d3GETB/_old  2015-04-12 00:09:40.0 +0200
+++ /var/tmp/diff_new_pack.d3GETB/_new  2015-04-12 00:09:40.0 +0200
@@ -62,6 +62,8 @@
 Group:  System/Libraries
 %if 0%{?suse_version}  1220
 Provides:   %{name}-tools = %{version}
+Obsoletes:  %{name}  %version-%release
+Provides:   %{name} = %version-%release
 %endif
 
 %description -n %{name}%{soname}





commit fontinfo for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package fontinfo for openSUSE:Factory 
checked in at 2015-04-12 00:10:14

Comparing /work/SRC/openSUSE:Factory/fontinfo (Old)
 and  /work/SRC/openSUSE:Factory/.fontinfo.new (New)


Package is fontinfo

Changes:

--- /work/SRC/openSUSE:Factory/fontinfo/fontinfo.changes2014-10-29 
21:11:30.0 +0100
+++ /work/SRC/openSUSE:Factory/.fontinfo.new/fontinfo.changes   2015-04-12 
00:10:39.0 +0200
@@ -1,0 +2,8 @@
+Fri Apr 10 06:31:19 UTC 2015 - pgaj...@suse.com
+
+- updated to version 20150410
+  * prevent buffer overflow for Supplementary Private Use Area-B
+  * reformat CHANGES file
+  * remove 1-click install for 12.2
+
+---

Old:

  fontinfo-20141029.tar.bz2

New:

  fontinfo-20150410.tar.bz2



Other differences:
--
++ fontinfo.spec ++
--- /var/tmp/diff_new_pack.squ5Qo/_old  2015-04-12 00:10:40.0 +0200
+++ /var/tmp/diff_new_pack.squ5Qo/_new  2015-04-12 00:10:40.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package fontinfo
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   fontinfo
-Version:20141029
+Version:20150410
 Release:0
 Summary:Overview of Installed Fonts
 License:GPL-2.0+

++ fontinfo-20141029.tar.bz2 - fontinfo-20150410.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/fontinfo-20141029/CHANGES 
new/fontinfo-20150410/CHANGES
--- old/fontinfo-20141029/CHANGES   2014-10-29 08:49:07.0 +0100
+++ new/fontinfo-20150410/CHANGES   2015-04-10 08:28:48.0 +0200
@@ -1,123 +1,74 @@

-Wed Oct 29 07:46:21 UTC 2014 - pgaj...@suse.com
+Version 20150410
+  * prevent buffer overflow for Supplementary Private Use Area-B
+  * reformat CHANGES file
+  * remove 1-click install for 12.2
 
 Version 20141029
   * 1-click install for 13.2 and sle12
 

-Mon Jun  9 09:35:24 UTC 2014 - pgaj...@suse.com
-
 Version 20140609
   * fixed 1-click-install link in detailed view
 

-Fri May 30 09:50:32 UTC 2014 - pgaj...@suse.com
-
 Version 20140530
   * 1-click-install link even in detailed view
 

-Fri May 23 14:20:39 UTC 2014 - pgaj...@suse.com
-
 Version 20140523
   * fix sle12 ymp distroversion
   * 1-click-install link explicitely visible on Font Card
   * 1-click-install link in Family Overview page
 

-Fri Feb 28 08:21:49 UTC 2014 - pgaj...@suse.com
-
 Version 2014028
   * added sle12 and 13.2 to ymps
 

-Fri Feb 21 11:38:49 UTC 2014 - pgaj...@suse.com
-
 Version 20140219
   * added sles11 to ymps
 

-Tue Feb  4 13:31:19 UTC 2014 - pgaj...@suse.com
-
 Version 20140204
   * improved and added several specimen strings
   * better align t2b layout
 

-Mon Jan 20 10:31:49 UTC 2014 - pgaj...@suse.com
-
 Version 20140120
   * use relative sorting for scripts again as absolute seem to
 have more cons than pros
 

-Wed Jan 15 09:54:51 UTC 2014 - pgaj...@suse.com
-
-- Version 20140115
+Version 20140115
   * add or fix some specimen strings
   * alow rotation of specimen images (needed for Phags Pa and
 Mongolian)
   * charset toggle links has now block interval ranges
   * minor fixes
 

-Fri Dec 20 14:22:18 UTC 2013 - pgaj...@suse.com
-
 Version 20131220
   * charset: view by unicode blocks, individual
 pngs download on demand
   * fixed or improve some specimen strings
 

-Wed Dec 11 11:15:04 UTC 2013 - pgaj...@suse.com
-
 Version 20131211
   * polishing specimen view
 

-Fri Dec  6 12:06:30 UTC 2013 - pgaj...@suse.com
-
 Version 20131206
   * improve opentype shaping (fix script tag indexing)
 

commit kate5 for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package kate5 for openSUSE:Factory checked 
in at 2015-04-12 00:10:05

Comparing /work/SRC/openSUSE:Factory/kate5 (Old)
 and  /work/SRC/openSUSE:Factory/.kate5.new (New)


Package is kate5

Changes:

--- /work/SRC/openSUSE:Factory/kate5/kate5.changes  2015-03-11 
09:56:10.0 +0100
+++ /work/SRC/openSUSE:Factory/.kate5.new/kate5.changes 2015-04-12 
00:10:06.0 +0200
@@ -1,0 +2,7 @@
+Wed Apr  8 09:42:47 UTC 2015 - hrvoje.sen...@gmail.com
+
+- Add fix-build.patch from upstream, adds missing find_package call
+  for the KIconThemes framework
+- Add kiconthemes-devel BuildRequires, per patch
+
+---

New:

  fix-build.patch



Other differences:
--
++ kate5.spec ++
--- /var/tmp/diff_new_pack.FR9KE5/_old  2015-04-12 00:10:07.0 +0200
+++ /var/tmp/diff_new_pack.FR9KE5/_new  2015-04-12 00:10:07.0 +0200
@@ -26,6 +26,8 @@
 Source0:kate-%{version}.tar.xz
 # PATCH-FIX-UPSTREAM katefix.diff -- https://git.reviewboard.kde.org/r/122498/
 Patch0: katefix.diff
+# PATCH-FIX-UPSTREAM fix-build.patch -- Add missing Framework
+Patch1: fix-build.patch
 BuildRequires:  karchive-devel
 BuildRequires:  kcmutils-devel
 BuildRequires:  kcompletion-devel
@@ -39,6 +41,7 @@
 BuildRequires:  kguiaddons-devel
 BuildRequires:  ki18n-devel
 BuildRequires:  kiconthemes-devel
+BuildRequires:  kiconthemes-devel
 BuildRequires:  kinit-devel
 BuildRequires:  kio-devel
 BuildRequires:  kitemmodels-devel
@@ -94,6 +97,7 @@
 %prep
 %setup -q -n kate-%{version}
 %patch0 -p1
+%patch1 -p1
 
 %build
   %cmake_kf5 -d build

++ fix-build.patch ++
From: Aleix Pol aleix...@kde.org
Date: Thu, 19 Mar 2015 00:13:50 +
Subject: Fix build
X-Git-Tag: v15.03.97
---
Fix build
---


--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -50,6 +50,7 @@
   TextEditor
   WindowSystem
   XmlGui
+  IconThemes
 )
 
 # use sane compile flags



commit jogl2 for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package jogl2 for openSUSE:Factory checked 
in at 2015-04-12 00:10:00

Comparing /work/SRC/openSUSE:Factory/jogl2 (Old)
 and  /work/SRC/openSUSE:Factory/.jogl2.new (New)


Package is jogl2

Changes:

--- /work/SRC/openSUSE:Factory/jogl2/jogl2.changes  2014-07-11 
20:05:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.jogl2.new/jogl2.changes 2015-04-12 
00:10:02.0 +0200
@@ -1,0 +2,20 @@
+Sat Apr  4 03:34:21 UTC 2015 - badshah...@gmail.com
+
+- Update to version 2.3.1:
+  + See list of changes at
+
https://jogamp.org/wiki/index.php/SW_Tracking_Report_Objectives_for_the_release_2.3.1.
+
+---
+Sat Mar 14 23:17:12 UTC 2015 - badshah...@gmail.com
+
+- Update to version 2.3.0:
+  + See list of changes at
+
https://jogamp.org/wiki/index.php/SW_Tracking_Report_Objectives_for_the_release_2.3.0.
+- Add jogl2-disable-tests.patch to disable junit tests for now,
+  needs additional packages not in obs.
+- Disable building of an unimportant experimental plugin as it
+  caused build failures when prebuilt jar files are not used.
+- Update BuildRequires and Requires to enforce version
+  compatibility with gluegen2.
+
+---

Old:

  jogl-v2.0.2.tar.7z

New:

  jogl-v2.3.1.tar.7z
  jogl2-disable-tests.patch



Other differences:
--
++ jogl2.spec ++
--- /var/tmp/diff_new_pack.5ixMIO/_old  2015-04-12 00:10:04.0 +0200
+++ /var/tmp/diff_new_pack.5ixMIO/_new  2015-04-12 00:10:04.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package jogl2
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define src_name jogl-v%{version}
 Name:   jogl2
-Version:2.0.2
+Version:2.3.1
 Release:0
 Summary:Java bindings for the OpenGL API
 License:BSD-2-Clause
@@ -27,18 +27,20 @@
 Source0:
http://jogamp.org/deployment/v%{version}/archive/Sources/%{src_name}.tar.7z
 Patch0: %{name}--update-antlr-ant-contrib-jars.patch
 Patch1: %{name}-0001-update-ant-contrib-tasks.patch
+Patch2: jogl2-disable-tests.patch
 BuildRequires:  ant = 1.8.0
 BuildRequires:  ant-contrib
 BuildRequires:  eclipse-swt
-BuildRequires:  gluegen2-devel
+BuildRequires:  gluegen2-devel = %{version}
 BuildRequires:  java-devel
 BuildRequires:  jpackage-utils
+BuildRequires:  libXcursor-devel
 BuildRequires:  libXrandr-devel
 BuildRequires:  libXrender-devel
 BuildRequires:  libXt-devel
 BuildRequires:  libXxf86vm-devel
 BuildRequires:  p7zip
-Requires:   gluegen2
+Requires:   gluegen2 = %{version}
 Requires:   java
 Requires:   jpackage-utils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -67,9 +69,13 @@
 find -name *.jar -type f -print -exec rm {} \;
 find -name *.apk -type f -print -exec rm {} \;
 rm -fr make/lib
+# Also remove experimantal applets that requires a bundled jar for building
+rm -fr src/newt/classes/com/jogamp/newt/util/applet/JOGLNewtApplet3Run.java
+rm -fr src/newt/classes/com/jogamp/newt/util/applet/VersionApplet3.java
 
 %patch0 -p1
 %patch1 -p1
+%patch2 -p1
 
 # Fix wrong-script-end-of-line-encoding
 rm make/scripts/*.bat

++ jogl2--update-antlr-ant-contrib-jars.patch ++
--- /var/tmp/diff_new_pack.5ixMIO/_old  2015-04-12 00:10:04.0 +0200
+++ /var/tmp/diff_new_pack.5ixMIO/_new  2015-04-12 00:10:04.0 +0200
@@ -11,11 +11,4 @@
  
  condition property=rootrel.build value=build
not
-@@ -241,6 +241,7 @@
- 
- path id=gluegen-gl.classpath
-   pathelement location=${gluegen.jar} /
-+  pathelement location=${antlr.jar} /
-   pathelement location=${gluegen-gl.jar} /
- /path
- 
+

++ jogl2-0001-update-ant-contrib-tasks.patch ++
--- /var/tmp/diff_new_pack.5ixMIO/_old  2015-04-12 00:10:04.0 +0200
+++ /var/tmp/diff_new_pack.5ixMIO/_new  2015-04-12 00:10:04.0 +0200
@@ -1,8 +1,8 @@
-Index: jogl-v2.0.2/make/build-jogl.xml
+Index: jogl-v2.3.0/make/build-jogl.xml
 ===
 jogl-v2.0.2.orig/make/build-jogl.xml
-+++ jogl-v2.0.2/make/build-jogl.xml
-@@ -1472,7 +1472,7 @@
+--- jogl-v2.3.0.orig/make/build-jogl.xml
 jogl-v2.3.0/make/build-jogl.xml
+@@ -1588,7 +1588,7 @@
  
!-- have to wrap cc task with outofdate, because otherwise cc 
links a new library
 even 

commit rubygem-jbuilder for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package rubygem-jbuilder for 
openSUSE:Factory checked in at 2015-04-12 00:10:52

Comparing /work/SRC/openSUSE:Factory/rubygem-jbuilder (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-jbuilder.new (New)


Package is rubygem-jbuilder

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-jbuilder/rubygem-jbuilder.changes
2015-03-23 12:18:21.0 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-jbuilder.new/rubygem-jbuilder.changes   
2015-04-12 00:10:58.0 +0200
@@ -1,0 +2,6 @@
+Sat Apr 11 06:02:26 UTC 2015 - co...@suse.com
+
+- updated to version 2.2.13
+  * Several peformance optimizations: 
[#260](https://github.com/rails/jbuilder/pull/260)  [#261]
+
+---

Old:

  jbuilder-2.2.12.gem

New:

  jbuilder-2.2.13.gem



Other differences:
--
++ rubygem-jbuilder.spec ++
--- /var/tmp/diff_new_pack.cMoPDK/_old  2015-04-12 00:11:00.0 +0200
+++ /var/tmp/diff_new_pack.cMoPDK/_new  2015-04-12 00:11:00.0 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-jbuilder
-Version:2.2.12
+Version:2.2.13
 Release:0
 %define mod_name jbuilder
 %define mod_full_name %{mod_name}-%{version}

++ jbuilder-2.2.12.gem - jbuilder-2.2.13.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2015-03-20 05:23:14.0 +0100
+++ new/CHANGELOG.md2015-04-10 20:33:37.0 +0200
@@ -1,5 +1,10 @@
 # Changelog
 
+2.2.13
+--
+
+* Several peformance optimizations: 
[#260](https://github.com/rails/jbuilder/pull/260)  
[#261](https://github.com/rails/jbuilder/pull/261)
+
 2.2.12
 --
 
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jbuilder.gemspec new/jbuilder.gemspec
--- old/jbuilder.gemspec2015-03-20 05:23:14.0 +0100
+++ new/jbuilder.gemspec2015-04-10 20:33:37.0 +0200
@@ -1,6 +1,6 @@
 Gem::Specification.new do |s|
   s.name = 'jbuilder'
-  s.version  = '2.2.12'
+  s.version  = '2.2.13'
   s.authors  = ['David Heinemeier Hansson', 'Pavel Pravosud']
   s.email= ['da...@37signals.com', 'pa...@pravosud.com']
   s.summary  = 'Create JSON structures via a Builder-style DSL'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/jbuilder.rb new/lib/jbuilder.rb
--- old/lib/jbuilder.rb 2015-03-20 05:23:14.0 +0100
+++ new/lib/jbuilder.rb 2015-04-10 20:33:37.0 +0200
@@ -5,13 +5,13 @@
 require 'multi_json'
 
 class Jbuilder
-  @@key_formatter = KeyFormatter.new
+  @@key_formatter = nil
   @@ignore_nil= false
 
   def initialize(options = {})
 @attributes = {}
 
-@key_formatter = options.fetch(:key_formatter){ @@key_formatter.clone }
+@key_formatter = options.fetch(:key_formatter){ @@key_formatter ? 
@@key_formatter.clone : nil}
 @ignore_nil = options.fetch(:ignore_nil, @@ignore_nil)
 
 yield self if ::Kernel.block_given?
@@ -207,9 +207,9 @@
   #   json.(@person, :name, :age)
   def extract!(object, *attributes)
 if ::Hash === object
-  _extract_hash_values(object, *attributes)
+  _extract_hash_values(object, attributes)
 else
-  _extract_method_values(object, *attributes)
+  _extract_method_values(object, attributes)
 end
   end
 
@@ -245,11 +245,11 @@
 
   private
 
-  def _extract_hash_values(object, *attributes)
+  def _extract_hash_values(object, attributes)
 attributes.each{ |key| _set_value key, object.fetch(key) }
   end
 
-  def _extract_method_values(object, *attributes)
+  def _extract_method_values(object, attributes)
 attributes.each{ |key| _set_value key, object.public_send(key) }
   end
 
@@ -275,7 +275,7 @@
   end
 
   def _key(key)
-@key_formatter.format(key)
+@key_formatter ? @key_formatter.format(key) : key.to_s
   end
 
   def _set_value(key, value)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2015-03-20 05:23:14.0 +0100
+++ new/metadata2015-04-10 20:33:37.0 +0200
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: jbuilder
 version: !ruby/object:Gem::Version
-  version: 2.2.12
+  version: 2.2.13
 platform: ruby
 authors:
 - David Heinemeier Hansson
@@ -9,7 +9,7 @@
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2015-03-20 00:00:00.0 Z
+date: 2015-04-10 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -107,7 +107,7 @@
   version: '0'
 

commit rubygem-treetop for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package rubygem-treetop for openSUSE:Factory 
checked in at 2015-04-12 00:11:00

Comparing /work/SRC/openSUSE:Factory/rubygem-treetop (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-treetop.new (New)


Package is rubygem-treetop

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-treetop/rubygem-treetop.changes  
2014-11-24 11:12:50.0 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-treetop.new/rubygem-treetop.changes 
2015-04-12 00:11:01.0 +0200
@@ -1,0 +2,5 @@
+Mon Mar 30 04:33:25 UTC 2015 - co...@suse.com
+
+- updated to version 1.6.2
+
+---

Old:

  treetop-1.5.3.gem

New:

  gem2rpm.yml
  treetop-1.6.2.gem



Other differences:
--
++ rubygem-treetop.spec ++
--- /var/tmp/diff_new_pack.Ok7WT8/_old  2015-04-12 00:11:03.0 +0200
+++ /var/tmp/diff_new_pack.Ok7WT8/_new  2015-04-12 00:11:03.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-treetop
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,26 +16,33 @@
 #
 
 
+#
+# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
+# All sections marked as MANUAL, license headers, summaries and descriptions
+# can be maintained in that file. Please consult this file before editing any
+# of those fields
+#
+
 Name:   rubygem-treetop
-Version:1.5.3
+Version:1.6.2
 Release:0
 %define mod_name treetop
 %define mod_full_name %{mod_name}-%{version}
-%define mod_branch -%{version}
-%define mod_weight 10503
-
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  %{rubygem gem2rpm}
+BuildRequires:  %{ruby}
 BuildRequires:  ruby-macros = 5
 BuildRequires:  update-alternatives
 Url:https://github.com/cjheath/treetop
 Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source1:gem2rpm.yml
 Summary:A Ruby-based text parsing and interpretation DSL
 License:MIT
 Group:  Development/Languages/Ruby
 PreReq: update-alternatives
 
 %description
-A Ruby-based text parsing and interpretation DSL
+A Ruby-based text parsing and interpretation DSL.
 
 %prep
 

++ gem2rpm.yml ++
# ---
# ## used by gem2rpm
# :summary: this is a custom summary
# ## used by gem2rpm
# :description: |-
#   this is a custom description
#
#   it can be multiline
# ## used by gem2rpm
# :license: MIT or Ruby
# ## used by gem2rpm and gem_packages
# :version_suffix: -x_y
# ## used by gem2rpm and gem_packages
# :disable_docs: true
# ## used by gem2rpm
# :disable_automatic_rdoc_dep: true
# ## used by gem2rpm
# :preamble: |-
#   BuildRequires: foobar
#   Requires: foobar
# ## used by gem2rpm
# :patches:
#   foo.patch: -p1
#   bar.patch: 
# ## used by gem2rpm
:sources:
# - foo.desktop
# - bar.desktop
# :gem_install_args: ''
# ## used by gem2rpm
# :pre_install: |-
#   %if 0%{?use_system_libev}
#   export USE_VENDORED_LIBEV=no
#   %endif
# ## used by gem2rpm
# :post_install: |-
#   # delete custom files here or do other fancy stuff
#   install -D -m 0644 %{S:1} %{buildroot}%{_bindir}/gem2rpm-opensuse
# ## used by gem2rpm
# :testsuite_command: |-
#   (pushd %{buildroot}%{gem_base}/gems/%{mod_full_name}  rake test)
# ## used by gem2rpm
# :filelist: |-
#   /usr/bin/gem2rpm-opensuse
# ## used by gem2rpm
# :scripts:
#   :post: |-
# /bin/echo foo
# ## used by gem_packages
# :main:
#   :preamble: |-
# Requires: util-linux
# Recommends: pwgen
#   :filelist: |-
# /usr/bin/gem2rpm-opensuse
# ## used by gem_packages
# :custom:
#   apache:
# :preamble: |-
#   Requires: .
# :filelist: |-
#   /etc/apache2/conf.d/passenger.conf
# :summary: Custom summary is optional
# :description: |-
#   Custom description is optional
#
#   bar
# :post: |-
#   /bin/echo foo
#
++ treetop-1.5.3.gem - treetop-1.6.2.gem ++
 2032 lines of diff (skipped)




commit xchat for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package xchat for openSUSE:Factory checked 
in at 2015-04-12 00:10:37

Comparing /work/SRC/openSUSE:Factory/xchat (Old)
 and  /work/SRC/openSUSE:Factory/.xchat.new (New)


Package is xchat

Changes:

--- /work/SRC/openSUSE:Factory/xchat/xchat.changes  2013-09-17 
15:04:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.xchat.new/xchat.changes 2015-04-12 
00:10:45.0 +0200
@@ -1,0 +2,8 @@
+Fri Apr 10 08:19:47 UTC 2015 - meiss...@suse.com
+
+- Add xchat-use-tls.patch: Replace SSLv3_method by SSLv23_method.
+  SSLv3 is SSL3.0 only, SSLv23_method will select the best
+  (TLS 1.2, 1.1, 1.0 or 3.0).
+  https://sourceforge.net/p/xchat/bugs/1598/
+
+---

New:

  xchat-use-tls.patch



Other differences:
--
++ xchat.spec ++
--- /var/tmp/diff_new_pack.q4VaVk/_old  2015-04-12 00:10:46.0 +0200
+++ /var/tmp/diff_new_pack.q4VaVk/_new  2015-04-12 00:10:46.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xchat
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -49,6 +49,8 @@
 Patch12:xchat-link-against-libnotify.patch
 # PATCH-FIX-UPSTREAM xchat-glib-2.31.patch sf#3446968 dims...@opensuse.org -- 
Fix build with glib 2.31.
 Patch13:xchat-glib-2.31.patch
+# PATCH-FIX-UPSTREAM xchat-use-tls.patch 
https://sourceforge.net/p/xchat/bugs/1598/ meiss...@suse.de -- enable modern TLS
+Patch14:xchat-use-tls.patch
 BuildRequires:  fdupes
 BuildRequires:  gnome-patch-translation
 # BuildRequires for installing hicolor icons
@@ -133,6 +135,7 @@
 %patch11 -p1
 %patch12 -p1
 %patch13 -p1
+%patch14 -p1
 gnome-patch-translation-update
 
 %build








++ xchat-use-tls.patch ++
Index: xchat-2.8.8/src/common/ssl.c
===
--- xchat-2.8.8.orig/src/common/ssl.c
+++ xchat-2.8.8/src/common/ssl.c
@@ -70,7 +70,7 @@ _SSL_context_init (void (*info_cb_func),
 
SSLeay_add_ssl_algorithms ();
SSL_load_error_strings ();
-   ctx = SSL_CTX_new (server ? SSLv3_server_method() : SSLv3_client_method 
());
+   ctx = SSL_CTX_new (server ? SSLv23_server_method() : 
SSLv23_client_method ());
 
SSL_CTX_set_session_cache_mode (ctx, SSL_SESS_CACHE_BOTH);
SSL_CTX_set_timeout (ctx, 300);
@@ -281,7 +281,7 @@ _SSL_socket (SSL_CTX *ctx, int sd)
__SSL_critical_error (SSL_new);
 
SSL_set_fd (ssl, sd);
-   if (ctx-method == SSLv3_client_method())
+   if (ctx-method == SSLv23_client_method())
SSL_set_connect_state (ssl);
else
SSL_set_accept_state(ssl);



commit yast2-docker for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package yast2-docker for openSUSE:Factory 
checked in at 2015-04-12 00:10:45

Comparing /work/SRC/openSUSE:Factory/yast2-docker (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-docker.new (New)


Package is yast2-docker

Changes:

--- /work/SRC/openSUSE:Factory/yast2-docker/yast2-docker.changes
2015-03-09 10:09:45.0 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-docker.new/yast2-docker.changes   
2015-04-12 00:10:52.0 +0200
@@ -1,0 +2,6 @@
+Fri Apr 10 13:47:55 UTC 2015 - fcaste...@suse.com
+
+- Release 3.1.4
+  - Take advantage of 'docker exec' feature and get rid of nsenter.
+
+---

Old:

  yast2-docker-3.1.3.tar.bz2

New:

  yast2-docker-3.1.4.tar.bz2



Other differences:
--
++ yast2-docker.spec ++
--- /var/tmp/diff_new_pack.qeeVQh/_old  2015-04-12 00:10:52.0 +0200
+++ /var/tmp/diff_new_pack.qeeVQh/_new  2015-04-12 00:10:52.0 +0200
@@ -24,15 +24,14 @@
 ##
 
 Name:   yast2-docker
-Version:3.1.3
+Version:3.1.4
 Release:0
 BuildArch:  noarch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:%{name}-%{version}.tar.bz2
 
-Requires:   docker
-Requires:   util-linux
+Requires:   docker = 1.3
 Requires:   yast2 = 3.1.0
 Requires:   yast2-ruby-bindings = 1.2.0
 Requires:   rubygem(docker-api)

++ yast2-docker-3.1.3.tar.bz2 - yast2-docker-3.1.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-docker-3.1.3/README.md 
new/yast2-docker-3.1.4/README.md
--- old/yast2-docker-3.1.3/README.md2015-03-06 15:07:07.0 +0100
+++ new/yast2-docker-3.1.4/README.md2015-04-10 15:52:07.0 +0200
@@ -74,9 +74,8 @@
 ### Inject terminal inside of a running container
 
 Sometimes it can be useful to have a terminal inside of a running container.
-This operation can be accomplished by using the `nsenter` tool as explained
-by 
[this](https://blog.docker.com/2014/06/why-you-dont-need-to-run-sshd-in-docker/)
-post on Docker Inc's blog.
+This operation can be accomplished by using the `docker exec` feature available
+since docker 1.3.
 
 By pressing the *Inject terminal* button a new terminal window is started.
 Exiting from the new shell session the original **does not** affect the running
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-docker-3.1.3/package/yast2-docker.changes 
new/yast2-docker-3.1.4/package/yast2-docker.changes
--- old/yast2-docker-3.1.3/package/yast2-docker.changes 2015-03-06 
15:07:07.0 +0100
+++ new/yast2-docker-3.1.4/package/yast2-docker.changes 2015-04-10 
15:52:07.0 +0200
@@ -1,4 +1,10 @@
 ---
+Fri Apr 10 13:47:55 UTC 2015 - fcaste...@suse.com
+
+- Release 3.1.4
+  - Take advantage of 'docker exec' feature and get rid of nsenter.
+
+---
 Fri Mar  6 13:46:39 UTC 2015 - an...@suse.com
 
 - Release 3.1.3
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-docker-3.1.3/package/yast2-docker.spec 
new/yast2-docker-3.1.4/package/yast2-docker.spec
--- old/yast2-docker-3.1.3/package/yast2-docker.spec2015-03-06 
15:07:07.0 +0100
+++ new/yast2-docker-3.1.4/package/yast2-docker.spec2015-04-10 
15:52:07.0 +0200
@@ -24,7 +24,7 @@
 ##
 
 Name:   yast2-docker
-Version:3.1.3
+Version:3.1.4
 Release:0
 BuildArch:  noarch
 
@@ -34,8 +34,7 @@
 Requires:   yast2 = 3.1.0
 Requires:   yast2-ruby-bindings = 1.2.0
 Requires:   rubygem(docker-api)
-Requires:   docker
-Requires:   util-linux
+Requires:   docker = 1.3
 
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2-devtools
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-docker-3.1.3/src/lib/ydocker/inject_shell_dialog.rb 
new/yast2-docker-3.1.4/src/lib/ydocker/inject_shell_dialog.rb
--- old/yast2-docker-3.1.3/src/lib/ydocker/inject_shell_dialog.rb   
2015-03-06 15:07:07.0 +0100
+++ new/yast2-docker-3.1.4/src/lib/ydocker/inject_shell_dialog.rb   
2015-04-10 15:52:07.0 +0200
@@ -100,19 +100,11 @@
 
 def attach
   selected_shell = Yast::UI.QueryWidget(:shell, :Value)
-  pid = `docker inspect --format {{.State.Pid}} #{@container.id}`.chomp
-  if $?.exitstatus 

commit afl for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package afl for openSUSE:Factory checked in 
at 2015-04-12 00:11:13

Comparing /work/SRC/openSUSE:Factory/afl (Old)
 and  /work/SRC/openSUSE:Factory/.afl.new (New)


Package is afl

Changes:

--- /work/SRC/openSUSE:Factory/afl/afl.changes  2015-04-10 10:20:35.0 
+0200
+++ /work/SRC/openSUSE:Factory/.afl.new/afl.changes 2015-04-12 
00:11:15.0 +0200
@@ -1,0 +2,13 @@
+Sat Apr 11 07:15:12 UTC 2015 - astie...@suse.com
+
+- afl 1.62b:
+  - Improved the handling of -x in afl-clang-fast,
+  - Improved the handling of low AFL_INST_RATIO settings for QEMU and
+LLVM modes.
+  - Fixed the llvm-config bug for good
+- includes changes from 1.61b:
+  - Fixed an obscure bug compiling OpenSSL with afl-clang-fast.
+  - Fixed a 'make install' bug on non-x86 systems
+  - Fixed a problem with half-broken llvm-config
+
+---

Old:

  afl-1.60b.tgz

New:

  afl-1.62b.tgz



Other differences:
--
++ afl.spec ++
--- /var/tmp/diff_new_pack.tC00hk/_old  2015-04-12 00:11:16.0 +0200
+++ /var/tmp/diff_new_pack.tC00hk/_new  2015-04-12 00:11:16.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   afl
-Version:1.60b
+Version:1.62b
 Release:0
 Summary:American fuzzy lop is a security-oriented fuzzer
 License:Apache-2.0

++ afl-1.60b.tgz - afl-1.62b.tgz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/afl-1.60b/Makefile new/afl-1.62b/Makefile
--- old/afl-1.60b/Makefile  2015-04-09 07:10:07.0 +0200
+++ new/afl-1.62b/Makefile  2015-04-10 03:40:25.0 +0200
@@ -14,7 +14,7 @@
 #
 
 PROGNAME= afl
-VERSION = 1.60b
+VERSION = 1.62b
 
 PREFIX ?= /usr/local
 BIN_PATH= $(PREFIX)/bin
@@ -105,7 +105,11 @@
rm -rf out_dir qemu_mode/qemu-2.2.0
cd llvm_mode  make clean
 
+ifndef AFL_NOX86
 install: all
+else
+install: nox86
+endif
mkdir -p -m 755 $${DESTDIR}$(BIN_PATH) $${DESTDIR}$(HELPER_PATH) 
$${DESTDIR}$(DOC_PATH) $${DESTDIR}$(MISC_PATH)
rm -f $${DESTDIR}$(BIN_PATH)/afl-plot.sh
install -m 755 afl-gcc afl-fuzz afl-showmap afl-plot afl-tmin afl-cmin 
afl-gotcpu afl-whatsup $${DESTDIR}$(BIN_PATH)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/afl-1.60b/docs/ChangeLog new/afl-1.62b/docs/ChangeLog
--- old/afl-1.60b/docs/ChangeLog2015-04-09 04:17:56.0 +0200
+++ new/afl-1.62b/docs/ChangeLog2015-04-10 16:15:53.0 +0200
@@ -17,6 +17,30 @@
 to get on with the times.
 
 --
+Version 1.62b:
+--
+
+  - Improved the handling of -x in afl-clang-fast,
+
+  - Improved the handling of low AFL_INST_RATIO settings for QEMU and
+LLVM modes.
+
+  - Fixed the llvm-config bug for good (thanks to Tobias Ospelt).
+
+--
+Version 1.61b:
+--
+
+  - Fixed an obscure bug compiling OpenSSL with afl-clang-fast. Patch by
+Laszlo Szekeres.
+
+  - Fixed a 'make install' bug on non-x86 systems, thanks to Tobias Ospelt.
+
+  - Fixed a problem with half-broken llvm-config on Odroid, thanks to
+Tobias Ospelt. (There is another odd bug there that hasn't been fully
+fixed - TBD).
+
+--
 Version 1.60b:
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/afl-1.60b/docs/env_variables.txt 
new/afl-1.62b/docs/env_variables.txt
--- old/afl-1.60b/docs/env_variables.txt2015-04-09 06:43:28.0 
+0200
+++ new/afl-1.62b/docs/env_variables.txt2015-04-10 05:54:12.0 
+0200
@@ -139,7 +139,7 @@
 
 Note that AFL_INST_RATIO will behave a bit differently than for afl-gcc,
 because functions are *not* instrumented unconditionally - so low values
-will have a more striking effect.
+will have a more striking effect. For this tool, 0 is not a valid choice.
 
 5) Settings for afl-cmin
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/afl-1.60b/docs/vuln_samples/sqlite-stack-exhaustion.sql 
new/afl-1.62b/docs/vuln_samples/sqlite-stack-exhaustion.sql
--- old/afl-1.60b/docs/vuln_samples/sqlite-stack-exhaustion.sql 1970-01-01 
01:00:00.0 +0100
+++ new/afl-1.62b/docs/vuln_samples/sqlite-stack-exhaustion.sql 2015-04-10 
06:04:15.0 +0200
@@ -0,0 +1 @@
+CREATE VIRTUAL TABLE t0 USING fts4(content=t0);
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/afl-1.60b/llvm_mode/Makefile 
new/afl-1.62b/llvm_mode/Makefile
--- old/afl-1.60b/llvm_mode/Makefile2015-04-09 07:11:31.0 

commit unionfs-fuse for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package unionfs-fuse for openSUSE:Factory 
checked in at 2015-04-12 00:11:10

Comparing /work/SRC/openSUSE:Factory/unionfs-fuse (Old)
 and  /work/SRC/openSUSE:Factory/.unionfs-fuse.new (New)


Package is unionfs-fuse

Changes:

--- /work/SRC/openSUSE:Factory/unionfs-fuse/unionfs-fuse.changes
2013-02-15 18:52:35.0 +0100
+++ /work/SRC/openSUSE:Factory/.unionfs-fuse.new/unionfs-fuse.changes   
2015-04-12 00:11:12.0 +0200
@@ -1,0 +2,13 @@
+Tue Apr  7 16:52:22 UTC 2015 - p.drou...@gmail.com
+
+- Update to version 1.0
+  * renamed binary to unionfs-fuse
+  * add uniofs-fuse-ctl utility to control unionfs-fuse over ioctl
+  * better apple support
+  * dropped stats
+  * better test suite
+- Update project and download Urls
+- Use %cmake macro with openSUSE = 13.1
+- Remove xz require; not needed anymore
+
+---

Old:

  unionfs-fuse-0.26.tar.xz

New:

  v1.0.tar.gz



Other differences:
--
++ unionfs-fuse.spec ++
--- /var/tmp/diff_new_pack.CNC6rK/_old  2015-04-12 00:11:14.0 +0200
+++ /var/tmp/diff_new_pack.CNC6rK/_new  2015-04-12 00:11:14.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package unionfs-fuse
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,15 +20,14 @@
 BuildRequires:  cmake
 BuildRequires:  fuse-devel
 BuildRequires:  gcc-c++
-BuildRequires:  xz
 Requires:   fuse
 Summary:Userspace Unionfs File System
 License:BSD-3-Clause
 Group:  System/Filesystems
-Version:0.26
+Version:1.0
 Release:0
-Source: 
http://podgorny.cz/unionfs-fuse/releases/%{name}-%{version}.tar.xz
-Url:http://podgorny.cz/moin/UnionFsFuse
+Source: 
https://github.com/rpodgorny/unionfs-fuse/archive/v%{version}.tar.gz
+Url:https://github.com/rpodgorny/unionfs-fuse
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -44,12 +43,19 @@
 %setup -q
 
 %build
+%if 0%{?suse_version} = 1310
+%cmake -DWITH_XATTR=1
+%else
 export CFLAGS=$RPM_OPT_FLAGS
 export CXXFLAGS=$CFLAGS 
 cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_XATTR=1 .
+%endif
 make %{?_smp_mflags}
 
 %install
+%if 0%{?suse_version} = 1310
+cd build
+%endif
 make DESTDIR=$RPM_BUILD_ROOT install
 
 %files
@@ -57,5 +63,6 @@
 %doc LICENSE CREDITS NEWS
 %{_mandir}/man?/*
 %{_bindir}/unionfs
+%{_bindir}/unionfsctl
 
 %changelog




commit phpMyAdmin for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package phpMyAdmin for openSUSE:Factory 
checked in at 2015-04-12 00:11:21

Comparing /work/SRC/openSUSE:Factory/phpMyAdmin (Old)
 and  /work/SRC/openSUSE:Factory/.phpMyAdmin.new (New)


Package is phpMyAdmin

Changes:

--- /work/SRC/openSUSE:Factory/phpMyAdmin/phpMyAdmin.changes2015-04-05 
02:04:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.phpMyAdmin.new/phpMyAdmin.changes   
2015-04-12 00:11:26.0 +0200
@@ -1,0 +2,27 @@
+Sat Apr 11 18:02:48 UTC 2015 - ec...@opensuse.org
+
+- update 4.4.1.1 (2015-04-08)
+  - sf#4846 Web server's error log is flooded
+
+- changes from 4.4.1 (2015-04-07)
+  - sf#4813 MySQL 5.7.6 and the Users menu tab
+  - sf#4818 MySQL 5.7.6 and changing the password for another user
+  - sf#4819 Request URI too large
+  - sf#4814 MySQL 5.7.6 and Databases
+  - fix bug Use 'server' parameter in console to work in multi 
+server environments
+  - fix bug Missing tooltip in monitor
+  - fix bug Missing sort icons in monitor
+  - sf#4805 Inline edit broken when using functions in query
+  - sf#4821 Timed-out import fails to restart when file represented
+  - sf#4754 pMA DB not detected properly
+  - sf#4825 Datepicker missing when changing number of rows on 
+Insert page
+  - sf#4824 INNODB STATUS page is empty
+  - sf#4828 JavaScript is loaded in wrong order
+  - sf#4827 TEXT formatting doesn't work after inline editing
+  - sf#4822 Compress when php.ini output_buffering is active
+  - sf#4832 Sorting distinct values result loses links
+  - sf#4834 Do not attach token to css requests to improve caching
+
+---

Old:

  phpMyAdmin-4.4.0-all-languages.tar.bz2

New:

  phpMyAdmin-4.4.1.1-all-languages.tar.bz2



Other differences:
--
++ phpMyAdmin.spec ++
--- /var/tmp/diff_new_pack.6GEvQa/_old  2015-04-12 00:11:27.0 +0200
+++ /var/tmp/diff_new_pack.6GEvQa/_new  2015-04-12 00:11:27.0 +0200
@@ -34,7 +34,7 @@
 Summary:Administration of MySQL over the web
 License:GPL-2.0+
 Group:  Productivity/Networking/Web/Frontends
-Version:4.4.0
+Version:4.4.1.1
 Release:0
 Url:http://www.phpMyAdmin.net
 Source0:
http://sourceforge.net/projects/phpmyadmin/files/%{name}-%{version}-all-languages.tar.bz2

++ phpMyAdmin-4.4.0-all-languages.tar.bz2 - 
phpMyAdmin-4.4.1.1-all-languages.tar.bz2 ++
/work/SRC/openSUSE:Factory/phpMyAdmin/phpMyAdmin-4.4.0-all-languages.tar.bz2 
/work/SRC/openSUSE:Factory/.phpMyAdmin.new/phpMyAdmin-4.4.1.1-all-languages.tar.bz2
 differ: char 11, line 1




commit PackageKit for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package PackageKit for openSUSE:Factory 
checked in at 2015-04-12 00:07:46

Comparing /work/SRC/openSUSE:Factory/PackageKit (Old)
 and  /work/SRC/openSUSE:Factory/.PackageKit.new (New)


Package is PackageKit

Changes:

--- /work/SRC/openSUSE:Factory/PackageKit/PackageKit.changes2015-02-13 
08:34:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.PackageKit.new/PackageKit.changes   
2015-04-12 00:07:47.0 +0200
@@ -1,0 +2,18 @@
+Tue Apr  7 17:27:33 UTC 2015 - dims...@opensuse.org
+
+- Update to version 1.0.6:
+  + New Features:
+- Add dbus method for returning prepared packages.
+- Add pk_backend_is_transaction_inhibited.
+- gstreamer plugin: Add support for v2 of the PK session
+  service interface.
+  + Bugfixes:
+- Don't recursive lock the debug mutex when using --verbose
+  without a tty.
+- Make reboot the default action for no action file.
+- gstreamer plugin: Adapt to gstreamer missing plugin changes.
+- gstreamer plugin: Avoid criticals when some of the parameters
+  are NULL.
+  + Backend enhancements/fixes: alpm and hif.
+
+---

Old:

  PackageKit-1.0.5.tar.xz
  PackageKit-1.0.5.tar.xz.asc

New:

  PackageKit-1.0.6.tar.xz
  PackageKit-1.0.6.tar.xz.asc



Other differences:
--
++ PackageKit.spec ++
--- /var/tmp/diff_new_pack.CW9YqG/_old  2015-04-12 00:07:48.0 +0200
+++ /var/tmp/diff_new_pack.CW9YqG/_new  2015-04-12 00:07:48.0 +0200
@@ -21,7 +21,7 @@
 %define with_offline_updates 1
 
 Name:   PackageKit
-Version:1.0.5
+Version:1.0.6
 Release:0
 Summary:Simple software installation management software
 License:GPL-2.0+

++ PackageKit-1.0.5.tar.xz - PackageKit-1.0.6.tar.xz ++
 20071 lines of diff (skipped)





commit xf86-input-keyboard for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package xf86-input-keyboard for 
openSUSE:Factory checked in at 2015-04-12 00:08:26

Comparing /work/SRC/openSUSE:Factory/xf86-input-keyboard (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-input-keyboard.new (New)


Package is xf86-input-keyboard

Changes:

--- /work/SRC/openSUSE:Factory/xf86-input-keyboard/xf86-input-keyboard.changes  
2013-11-26 06:14:56.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.xf86-input-keyboard.new/xf86-input-keyboard.changes 
2015-04-12 00:08:27.0 +0200
@@ -1,0 +2,10 @@
+Tue Apr  7 21:23:33 UTC 2015 - zai...@opensuse.org
+
+- Update to version 1.8.1:
+  + linux: bring our process group to the foreground (fdo#89653).
+  + Mark xf86OSKbdPreInit as _X_EXPORT in header to match
+definitions.
+  + Init LEDs to zero before querying the value.
+  + Detangle inet keys and jp Henkan/ Muhenkan keys.
+
+---

Old:

  xf86-input-keyboard-1.8.0.tar.bz2

New:

  xf86-input-keyboard-1.8.1.tar.bz2



Other differences:
--
++ xf86-input-keyboard.spec ++
--- /var/tmp/diff_new_pack.Bm7RF1/_old  2015-04-12 00:08:28.0 +0200
+++ /var/tmp/diff_new_pack.Bm7RF1/_new  2015-04-12 00:08:28.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xf86-input-keyboard
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   xf86-input-keyboard
-Version:1.8.0
+Version:1.8.1
 Release:0
 Summary:Keyboard input driver for the Xorg X server
 License:GPL-2.0+

++ xf86-input-keyboard-1.8.0.tar.bz2 - xf86-input-keyboard-1.8.1.tar.bz2 
++
 15594 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/xf86-input-keyboard-1.8.0/ChangeLog new/xf86-input-keyboard-1.8.1/ChangeLog
--- old/xf86-input-keyboard-1.8.0/ChangeLog 2013-11-01 00:46:34.0 
+0100
+++ new/xf86-input-keyboard-1.8.1/ChangeLog 2015-04-07 01:25:11.0 
+0200
@@ -1,3 +1,86 @@
+commit 13d320076e5de2d6c3cbc170fc7e31c526ed8499
+Author: Peter Hutterer peter.hutte...@who-t.net
+Date:   Tue Apr 7 09:24:38 2015 +1000
+
+keyboard 1.8.1
+
+Signed-off-by: Peter Hutterer peter.hutte...@who-t.net
+
+commit 65739ef047233567e6053fc57464a42ffe69e989
+Author: Peter Hutterer peter.hutte...@who-t.net
+Date:   Wed Mar 25 13:37:09 2015 +1000
+
+linux: bring our process group to the foreground (#89653)
+
+Required to make the driver receive keyboard events from the console.
+
+X.Org Bug  http://bugs.freedesktop.org/show_bug.cgi?id=89653
+
+Signed-off-by: Peter Hutterer peter.hutte...@who-t.net
+Reviewed-by: Hans de Goede hdego...@redhat.com
+Tested-by: Ingo Brückl i...@wupperonline.de
+
+commit 85fe6b8f56e75338fde1d3a88b1749fd105eb93b
+Author: Alan Coopersmith alan.coopersm...@oracle.com
+Date:   Sun Mar 22 14:26:00 2015 -0700
+
+Mark xf86OSKbdPreInit as _X_EXPORT in header to match definitions
+
+Fixes Solaris Studio 12.4 compiler error:
+sun_kbd.c, line 512: redeclaration must have the same or more 
restrictive linker scoping: xf86OSKbdPreInit
+cc: acomp failed for sun_kbd.c
+
+Signed-off-by: Alan Coopersmith alan.coopersm...@oracle.com
+
+commit d0c9619675d26284f03ef428ff76cc09bdd4ace3
+Author: Peter Hutterer peter.hutte...@who-t.net
+Date:   Tue Apr 29 16:23:32 2014 +1000
+
+Init LEDs to zero before querying the value
+
+This way if the ioctl fails we don't set any unintended LEDs, but really 
this
+patch is more to silence valgrind:
+
+==7129== Conditional jump or move depends on uninitialised value(s)
+==7129==at 0x8DF99A1: GetKbdLeds (lnx_kbd.c:79)
+==7129==by 0x8DF8853: InitKBD (kbd.c:291)
+
+Signed-off-by: Peter Hutterer peter.hutte...@who-t.net
+Reviewed-by: Alan Coopersmith alan.coopersm...@oracle.com
+
+commit 5a327955c9287a317e5792e96601375fa5aabced
+Author: Egbert Eich e...@suse.de
+Date:   Fri Jan 3 11:48:11 2014 +0100
+
+Detangle inet keys and jp Henkan/ Muhenkan keys
+
+When support for inet keys was added to the keyboard driver
+back in the early 2000 none of the developers 

commit python3-nose for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package python3-nose for openSUSE:Factory 
checked in at 2015-04-12 00:07:36

Comparing /work/SRC/openSUSE:Factory/python3-nose (Old)
 and  /work/SRC/openSUSE:Factory/.python3-nose.new (New)


Package is python3-nose

Changes:

--- /work/SRC/openSUSE:Factory/python3-nose/python3-nose-doc.changes
2015-01-06 09:06:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.python3-nose.new/python3-nose-doc.changes   
2015-04-12 00:07:38.0 +0200
@@ -1,0 +2,26 @@
+Tue Apr  7 17:33:13 UTC 2015 - a...@gmx.de
+
+- update to version 1.3.6:
+  * Re-release of 1.3.5 with wheels fixed.
+
+- changes from version 1.3.5:
+  * Fix #875: nose doesn't collect tests when subpackage is given as
+arg
+  * Fix #809: tests not discovered for namespace packages on Windows
+  * Fix #815: ValueError: unsupported pickle protocol with --with-id
+  * Wrap the working dir path name in quotes when reporting an error.
+Patch by Őry Máté.
+  * Fix #887: Fix a discrepancy in test names between Python 2 and
+Python 3
+  * Fix #131: Use os.stat() to check if file is executable Patch by
+Arnon Yaari.
+  * Fix #820 and #719: Fix coverage plugin with multiprocess Patch by
+Nicolas Grasset.
+
+---
+Sun Jan 10  00:51:53 UTC 2015 - a...@gmx.de
+
+- specfile:
+  * remove ifs for opensuse version =1220
+
+---
--- /work/SRC/openSUSE:Factory/python3-nose/python3-nose.changes
2015-01-06 09:06:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.python3-nose.new/python3-nose.changes   
2015-04-12 00:07:38.0 +0200
@@ -1,0 +2,20 @@
+Tue Apr  7 17:33:13 UTC 2015 - a...@gmx.de
+
+- update to version 1.3.6:
+  * Re-release of 1.3.5 with wheels fixed.
+
+- changes from version 1.3.5:
+  * Fix #875: nose doesn't collect tests when subpackage is given as
+arg
+  * Fix #809: tests not discovered for namespace packages on Windows
+  * Fix #815: ValueError: unsupported pickle protocol with --with-id
+  * Wrap the working dir path name in quotes when reporting an error.
+Patch by Őry Máté.
+  * Fix #887: Fix a discrepancy in test names between Python 2 and
+Python 3
+  * Fix #131: Use os.stat() to check if file is executable Patch by
+Arnon Yaari.
+  * Fix #820 and #719: Fix coverage plugin with multiprocess Patch by
+Nicolas Grasset.
+
+---

Old:

  nose-1.3.4.tar.gz

New:

  nose-1.3.6.tar.gz



Other differences:
--
++ python3-nose-doc.spec ++
--- /var/tmp/diff_new_pack.Z7lzhF/_old  2015-04-12 00:07:40.0 +0200
+++ /var/tmp/diff_new_pack.Z7lzhF/_new  2015-04-12 00:07:40.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python3-nose-doc
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   python3-nose-doc
-Version:1.3.4
+Version:1.3.6
 Release:0
 Url:http://readthedocs.org/docs/nose/
 Summary:Nose extends unittest to make testing easier

++ python3-nose.spec ++
--- /var/tmp/diff_new_pack.Z7lzhF/_old  2015-04-12 00:07:40.0 +0200
+++ /var/tmp/diff_new_pack.Z7lzhF/_new  2015-04-12 00:07:40.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python3-nose
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   python3-nose
-Version:1.3.4
+Version:1.3.6
 Release:0
 Url:http://readthedocs.org/docs/nose/
 Summary:Nose extends unittest to make testing easier
@@ -28,17 +28,9 @@
 BuildRequires:  python3
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
-%if 0%{?suse_version} = 1220
-BuildRequires:  python3-2to3
-BuildRequires:  python3-xml
-%endif
 #Test requirements:
 BuildRequires:  python3-coverage
 Requires:   python3-setuptools
-%if 0%{?suse_version} = 1220
-Requires:   python3-2to3
-Requires:   python3-xml
-%endif
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
 BuildArch:  noarch

++ nose-1.3.4.tar.gz - nose-1.3.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit check for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package check for openSUSE:Factory checked 
in at 2015-04-12 00:08:08

Comparing /work/SRC/openSUSE:Factory/check (Old)
 and  /work/SRC/openSUSE:Factory/.check.new (New)


Package is check

Changes:

--- /work/SRC/openSUSE:Factory/check/check.changes  2014-09-30 
19:36:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.check.new/check.changes 2015-04-12 
00:08:09.0 +0200
@@ -1,0 +2,12 @@
+Wed Mar  4 16:46:15 UTC 2015 - jeng...@inai.de
+
+- Implement shared library naming guidelines: move the library to
+  libcheck0. The new package obsoletes 'check', as there is no
+  other content.
+- Do not pass --enable-pic to configure: only static libs profit
+  from this.
+- Add fdupes BuildRequires to eliminate the couple duplicates.
+- Move %install_info_delete from postun to preun: access to the
+  .info files is required for successful execution.
+
+---



Other differences:
--
++ check.spec ++
--- /var/tmp/diff_new_pack.HvMHxR/_old  2015-04-12 00:08:09.0 +0200
+++ /var/tmp/diff_new_pack.HvMHxR/_new  2015-04-12 00:08:09.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package check
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,6 +17,7 @@
 
 
 Name:   check
+%define lname   libcheck0
 Version:0.9.14
 Release:0
 Summary:Unit Test Framework for C
@@ -26,10 +27,21 @@
 Source: 
http://downloads.sourceforge.net/project/check/check/0.9.14/%{name}-%{version}.tar.gz
 Source99:   baselibs.conf
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  fdupes
 BuildRequires:  pkg-config
 
 %description
-Check is a unit test framework for C. It features a simple interfacefor
+Check is a unit test framework for C. It features a simple interface for
+defining unit tests, limitating the developer the less possible.
+
+%package -n %lname
+Summary:Unit Test Framework for C
+Group:  System/Libraries
+Obsoletes:  check  %version-%release
+Provides:   check = %version-%release
+
+%description -n %lname
+Check is a unit test framework for C. It features a simple interface for
 defining unit tests, limitating the developer the less possible. Tests
 are run in a separate address space, so Check cancatch both, assertion
 failures and code errors that cause segmentationfaults or other
@@ -37,11 +49,10 @@
 editors and IDEs.
 
 %package devel
-Summary:Unit Test Framework for C
+Summary:Development files for the CHECK unit test framework
 Group:  Development/Libraries/C and C++
-Requires:   %{name} = %{version}
+Requires:   %lname = %version
 Requires:   glibc-devel
-Recommends: pgk-config
 
 %description devel
 Check is a unit test framework for C. It features a simple interface
@@ -58,28 +69,29 @@
 export CFLAGS=%{optflags} -std=gnu99
 export CXXFLAGS=%{optflags} -std=gnu99
 export FFLAGS=%{optflags} -std=gnu99
-%configure --disable-static --with-pic
+%configure --disable-static
 make %{?_smp_mflags} docdir=%{_docdir}/%{name}
 
 %install
-%makeinstall docdir=%{_docdir}/%{name}
+%make_install docdir=%{_docdir}/%{name}
 %{__cp} -a AUTHORS COPYING.LESSER THANKS TODO %{buildroot}%{_docdir}/%{name}
 %{__rm} -f %{buildroot}%{_libdir}/*.la
+# a little duplicate documentation…
+%fdupes %buildroot/%_datadir
 
-%post -p /sbin/ldconfig
+%post -n %lname -p /sbin/ldconfig
 
 %post devel
 %install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
 
-%postun -p /sbin/ldconfig
+%postun -n %lname -p /sbin/ldconfig
 
-%postun devel
+%preun devel
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
 
-%files
+%files -n %lname
 %defattr (-, root, root)
-%doc %dir %{_docdir}/%{name}
-%doc %{_docdir}/%{name}/[ACNRST]*
+%doc COPYING*
 %{_libdir}/*.so.*
 
 %files devel
@@ -90,7 +102,7 @@
 %doc %{_infodir}/%{name}.info*
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/*.pc
-%doc %{_docdir}/%{name}/example
+%{_docdir}/%{name}/
 %{_bindir}/checkmk
 %{_mandir}/man1/checkmk.1%{?ext_man}
 

++ baselibs.conf ++
--- /var/tmp/diff_new_pack.HvMHxR/_old  2015-04-12 00:08:10.0 +0200
+++ /var/tmp/diff_new_pack.HvMHxR/_new  2015-04-12 00:08:10.0 +0200
@@ -1 +1,3 @@
-check
+libcheck0
+   obsoletes check-targettype  version
+   provides check-targettype = version




commit xen for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package xen for openSUSE:Factory checked in 
at 2015-04-12 00:08:41

Comparing /work/SRC/openSUSE:Factory/xen (Old)
 and  /work/SRC/openSUSE:Factory/.xen.new (New)


Package is xen

Changes:

--- /work/SRC/openSUSE:Factory/xen/xen.changes  2015-03-30 19:31:26.0 
+0200
+++ /work/SRC/openSUSE:Factory/.xen.new/xen.changes 2015-04-12 
00:08:42.0 +0200
@@ -1,0 +2,22 @@
+Wed Apr  8 10:17:41 UTC 2015 - rguent...@suse.com
+
+- Add xen-no-array-bounds.patch and blktap-no-uninit.patch to selectively
+  turn errors back to warnings to fix build with GCC 5.
+- Amend xen.stubdom.newlib.patch to pull in declaration of strcmp to
+  avoid implicit-fortify-decl rpmlint error.
+- Fix quoting of __SMBIOS_DATE__ in xen.build-compare.smbiosdate.patch.
+
+---
+Fri Apr  3 10:54:05 MDT 2015 - carn...@suse.com
+
+- xentop: Fix memory leak on read failure
+  551ac326-xentop-add-support-for-qdisk.patch
+
+---
+Tue Mar 31 16:03:54 MDT 2015 - carn...@suse.com
+
+- Dropped xentop-add-support-for-qdisk.patch in favor of upstream
+  version
+  551ac326-xentop-add-support-for-qdisk.patch
+
+---
@@ -6,0 +29,10 @@
+
+---
+Thu Mar 12 12:33:45 UTC 2015 - rguent...@suse.com
+
+- Add xen-c99-fix.patch to remove pointless inline specifier on
+  function declarations which break build with a C99 compiler which
+  GCC 5 is by default. (bsc#921994)
+- Add ipxe-no-error-logical-not-parentheses.patch to supply
+  -Wno-logical-not-parentheses to the ipxe build to fix
+  breakage with GCC 5. (bsc#921994)

Old:

  xentop-add-support-for-qdisk.patch

New:

  551ac326-xentop-add-support-for-qdisk.patch
  blktap-no-uninit.patch
  ipxe-no-error-logical-not-parentheses.patch
  xen-c99-fix.patch
  xen-no-array-bounds.patch



Other differences:
--
++ xen.spec ++
--- /var/tmp/diff_new_pack.uiz1Sj/_old  2015-04-12 00:08:45.0 +0200
+++ /var/tmp/diff_new_pack.uiz1Sj/_new  2015-04-12 00:08:45.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xen
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -201,6 +201,7 @@
 Source2:xenalyze.hg.tar.bz2
 # Upstream patches
 Patch1: 5124efbe-add-qxl-support.patch
+Patch2: 551ac326-xentop-add-support-for-qdisk.patch
 # Upstream qemu
 Patch250:   VNC-Support-for-ExtendedKeyEvent-client-message.patch
 Patch251:   0001-net-move-the-tap-buffer-into-TAPState.patch
@@ -222,7 +223,7 @@
 Patch330:   suspend_evtchn_lock.patch
 Patch331:   xenpaging.doc.patch
 Patch332:   local_attach_support_for_phy.patch
-Patch333:   xentop-add-support-for-qdisk.patch
+Patch333:   xen-c99-fix.patch
 # Qemu traditional
 Patch350:   blktap.patch
 Patch351:   cdrom-removable.patch
@@ -261,6 +262,7 @@
 Patch387:   libxl.set-migration-constraints-from-cmdline.patch
 Patch389:   qemu-xen-upstream-megasas-buildtime.patch
 Patch390:   libxl.pvscsi.patch
+Patch391:   blktap-no-uninit.patch
 # Other bug fixes or features
 Patch451:   xenconsole-no-multiple-connections.patch
 Patch452:   hibernate.patch
@@ -291,9 +293,11 @@
 Patch605:   xen.build-compare.vgabios.patch
 Patch606:   xen.build-compare.seabios.patch
 Patch607:   xen.build-compare.man.patch
+Patch608:   ipxe-no-error-logical-not-parentheses.patch
 # Build patches
 Patch6: xen.stubdom.newlib.patch
 Patch8: tmp_build.patch
+Patch9: xen-no-array-bounds.patch
 Url:http://www.cl.cam.ac.uk/Research/SRG/netos/xen/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define pyver %(python -c import sys; print sys.version[:3])
@@ -498,6 +502,7 @@
 %setup -q -n %xen_build_dir -a 1 -a 2 -a 3 -a 4 -a 5 -a 57 -a 2
 # Upstream patches
 %patch1 -p1
+%patch2 -p1
 # Upstream qemu patches
 %patch250 -p1
 %patch251 -p1
@@ -557,6 +562,7 @@
 %patch387 -p1
 %patch389 -p1
 %patch390 -p1
+%patch391 -p1
 # Other bug fixes or features
 %patch451 -p1
 %patch452 -p1
@@ -587,9 +593,11 @@
 %patch605 -p1
 %patch606 -p1
 %patch607 -p1
+%patch608 -p1
 # Build patches
 %patch6 -p1
 %patch8 -p1
+%patch9 -p1
 
 %build
 # we control the version info of this package

++ 551ac326-xentop-add-support-for-qdisk.patch ++
 609 lines (skipped)

++ 

commit libreoffice for openSUSE:Factory

2015-04-11 Thread h_root
Hello community,

here is the log from the commit of package libreoffice for openSUSE:Factory 
checked in at 2015-04-12 00:08:50

Comparing /work/SRC/openSUSE:Factory/libreoffice (Old)
 and  /work/SRC/openSUSE:Factory/.libreoffice.new (New)


Package is libreoffice

Changes:

--- /work/SRC/openSUSE:Factory/libreoffice/libreoffice.changes  2015-04-06 
00:25:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.libreoffice.new/libreoffice.changes 
2015-04-12 00:08:51.0 +0200
@@ -1,0 +2,23 @@
+Wed Apr  8 13:06:41 UTC 2015 - andras.ti...@collabora.com
+
+- --disable-collada
+  * reportedly it does not work in LibreOffice 4.4
+- added version numbers to some BuildRequires lines
+
+---
+Wed Apr  8 12:26:59 UTC 2015 - tchva...@suse.com
+
+- Require flow engine too on base
+
+---
+Wed Apr  8 12:24:45 UTC 2015 - tchva...@suse.com
+
+- Fix build on SLE12 and 13.1 by adding conditional for appdata install
+
+---
+Wed Apr  8 12:03:19 UTC 2015 - dims...@opensuse.org
+
+- Fixup the installed appdata.xml files: they reference a .desktop
+  file that are not installed by libreoffice (boo#926375).
+
+---

Old:

  4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2



Other differences:
--
++ libreoffice.spec ++
--- /var/tmp/diff_new_pack.lju7Qj/_old  2015-04-12 00:08:57.0 +0200
+++ /var/tmp/diff_new_pack.lju7Qj/_new  2015-04-12 00:08:57.0 +0200
@@ -60,8 +60,6 @@
 Source2004: %{external_url}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
 # Needed for wiki-published and always taken as bundled
 Source2005: 
%{external_url}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip
-# Currently not possible to unbundle, sucks
-Source2006: 
%{external_url}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
 # search help icons in %{_prefix}/share
 # FIXME: make it configurable in integrate into git
 Patch0: officecfg-help-in-usr-share.diff
@@ -122,7 +120,7 @@
 BuildRequires:  krb5-devel
 BuildRequires:  libabw-devel
 BuildRequires:  libbase
-BuildRequires:  libcdr-devel
+BuildRequires:  libcdr-devel = 0.1
 BuildRequires:  libcmis-devel = 0.5.0
 BuildRequires:  libcppunit-devel
 BuildRequires:  libe-book-devel = 0.1.1
@@ -143,7 +141,7 @@
 BuildRequires:  liblayout
 BuildRequires:  liblcms2-devel
 BuildRequires:  libloader
-BuildRequires:  libmspub-devel
+BuildRequires:  libmspub-devel = 0.1
 BuildRequires:  libmwaw-devel = 0.3.4
 BuildRequires:  libmysqlclient-devel
 BuildRequires:  libmysqlcppconn-devel = 1.0.6
@@ -157,8 +155,8 @@
 BuildRequires:  librsvg-devel
 BuildRequires:  libserializer
 BuildRequires:  libtool
-BuildRequires:  libvisio-devel
-BuildRequires:  libwpd-devel
+BuildRequires:  libvisio-devel = 0.1
+BuildRequires:  libwpd-devel = 0.10
 BuildRequires:  libwpg-devel
 BuildRequires:  libwps-devel
 BuildRequires:  libxml2-devel
@@ -171,7 +169,6 @@
 BuildRequires:  mythes-devel
 BuildRequires:  neon-devel = 0.26.0
 BuildRequires:  npapi-sdk
-BuildRequires:  openCOLLADA-devel
 BuildRequires:  openldap2-devel
 BuildRequires:  pam-devel
 BuildRequires:  patch
@@ -364,6 +361,7 @@
 License:LGPL-3.0
 Group:  Productivity/Office/Suite
 Requires:   %{name} = %{version}
+Requires:   pentaho-reporting-flow-engine
 Supplements:%{name}
 
 %description base
@@ -963,7 +961,7 @@
 --disable-ccache \
 --enable-gltf --with-system-libgltf \
 --disable-coinmp \
---enable-collada --with-system-opencollada \
+--disable-collada \
 --enable-symbols
 # no coinormp packages for coinmp
 
@@ -1108,8 +1106,15 @@
 ln -s %{_libdir}/libreoffice/program/unohelper.py 
%{buildroot}%{python3_sitelib}/unohelper.py
 
 # Install appdata files, so we're shown in gnome-software (and other, future 
app stores)
+# upstream ships the files called libreoffice-{base,writer,...}, but the 
destop files are called base.destop [...]
+# fixup the appdata files internal reference to the .desktop file and rename 
them on the go to match the name
+%if 0%{?suse_version}  1315
 install -m 0755 -d %{buildroot}%{_datadir}/appdata
-install -m 0644 -p sysui/desktop/appstream-appdata/*.appdata.xml 
%{buildroot}%{_datadir}/appdata
+for appdata in base calc draw impress writer; do
+  sed s/libreoffice-${appdata}.desktop/${appdata}.desktop}/ \
+sysui/desktop/appstream-appdata/libreoffice-${appdata}.appdata.xml  
%{buildroot}%{_datadir}/appdata/${appdata}.appdata.xml
+done
+%endif
 
 # Remove translations source as we